import Bladex
import AbreCam
import Actions
import AniSound
import Auras
import AuxFuncs
import Basic_Funcs
import B3DLib
import Button
import Breakings
import CharStats
import CharData
import darfuncs
import Damage
import def_class
import Doors
import EnemyTypes
import EnmGenRnd
import Enm_Gen
import GameText
import GotoMapVars
import GenFX
import heavyObjects
import ItemTypes
import Language
import Levers
import Locks
import LevelFuncs
import Menu
import MenuText
import MusicTool
import NetSounds
import Objects
import ObjStore
import OnOff
import Ontake
import pocimac
import ReadGSFile
import Reference
import Room
import Sounds
import stone
import Scorer
import Stars
import ScriptSkip
import Traps_C
import Torchs
import whrandom
import ExCombat
import ExTypes

from Tr import Tr

import Talk

GameText.MapList ['DWARFQUEST'] = 'DwarfQuest'####1st name in upper case

#######################################################################################################################
##                                                                                                                   ##
##                                          ITEMS, COMBOS & WEAPONS                                                  ##
##                                                                                                                   ##
#######################################################################################################################

# MISC ################################################################################################################
Reference.DefaultObjectData['Spidersmall'].append(['Venom', +5.0])

Reference.EntitiesObjectData['BrokenLever']=[Reference.OBJ_ITEM]

Reference.EntitiesObjectData['KingKey']=[Reference.OBJ_KEY]
#######################################################################################################################

# MAGIC ITEMS #########################################################################################################
Reference.EntitiesSelectionData['RuneHammer']=(9.0,4000.0,Tr("The Runic Hammer"))
Reference.DefaultObjectData['CrushHammer'][0] = Reference.OBJ_ITEM

Reference.DefaultSelectionData['Varita7']=(9.0,4000.0,Tr("Cursed Skull"))
Reference.DefaultObjectData['Varita7'].append(['Drain', +10.0])
Reference.DefaultObjectData['Varita7'][1] = 30
Reference.DefaultObjectData['Varita7'][0] = Reference.OBJ_WEAPON
#######################################################################################################################

# UNDEAD WEAPONS ######################################################################################################
Reference.DefaultSelectionData['KingSword']=(9.0,4000.0,Tr("Rusted Sword"))
Reference.DefaultObjectData['KingSword'][1] = 40

Reference.DefaultSelectionData['KingShield']=(9.0,4000.0,Tr("Rusted Shield"))
#######################################################################################################################

# ORCISH WEAPONS ######################################################################################################
Reference.DefaultSelectionData['DeathSword']=(9.0,4000.0,Tr("Great Orc Sword"))
Reference.DefaultObjectData['DeathSword'][1] = 20
Reference.DefaultObjectData['DeathSword'][0] = Reference.OBJ_WEAPON

Reference.DefaultSelectionData['Hacha2hojas']=(9.0,4000.0,Tr("Great Orc Axe"))
Reference.DefaultObjectData['Hacha2hojas'][1] = 20
Reference.DefaultObjectData['Hacha2hojas'][0] = Reference.OBJ_WEAPON

Reference.DefaultSelectionData['Mazapiedra']=(9.0,4000.0,Tr("Stone Club"))
Reference.DefaultObjectData['Mazapiedra'][1] = 50
Reference.DefaultObjectData['Mazapiedra'][0] = Reference.OBJ_STANDARD
#######################################################################################################################

# DWARVEN WEAPONS #####################################################################################################
Reference.DefaultSelectionData['Varita1']=(9.0,4000.0,Tr("Kings Mace"))
Reference.DefaultObjectData['Varita1'][1] = 8
Reference.DefaultObjectData['Varita1'][0] = Reference.OBJ_WEAPON

Reference.DefaultSelectionData['Sablazo']=(9.0,4000.0,Tr("Dwarf Sword"))
Reference.DefaultObjectData['Sablazo'][1] = 10

Reference.DefaultObjectData['Alabarda'][1] = 20
#######################################################################################################################

# TOOLS ###############################################################################################################
Reference.DefaultSelectionData['Farol2']=(8.0,4000.0,Tr("Lantern"))

Reference.DefaultObjectData['Pala'][1] = 2
Reference.DefaultObjectData['Pala'][0] = Reference.OBJ_STANDARD

Reference.DefaultObjectData['Pico'][0] = Reference.OBJ_ITEM

Reference.DefaultObjectData['MartilloForja'][1] = 1
Reference.DefaultObjectData['MartilloForja'][0] = Reference.OBJ_STANDARD

Reference.DefaultObjectData['Cincel'][1] = 1
Reference.DefaultObjectData['Cincel'][0] = Reference.OBJ_STANDARD

Reference.DefaultSelectionData['Hachacarnicero']=(9.0,4000.0,Tr("Meat Cleaver"))
Reference.DefaultObjectData['Hachacarnicero'][1] = 3
Reference.DefaultObjectData['Hachacarnicero'][0] = Reference.OBJ_STANDARD

Reference.DefaultObjectData['Cuchillo'][1] = 1
Reference.DefaultObjectData['Cuchillo'][0] = Reference.OBJ_STANDARD

Reference.DefaultObjectData['Cazo'][1] = 1
Reference.DefaultObjectData['Cazo'][0] = Reference.OBJ_STANDARD
#######################################################################################################################

# FOOD & DRINK ########################################################################################################
Reference.DefaultSelectionData['BotellaVerde']=(9.0,4000.0,Tr("Ale Bottle"))
Reference.DefaultObjectData['BotellaVerde'][0] = Reference.OBJ_USEME

Reference.DefaultSelectionData['Botella']=(9.0,4000.0,Tr("Empty Bottle"))

Reference.DefaultSelectionData['Jarra']=(9.0,4000.0,Tr("Ale Mug"))
Reference.DefaultObjectData['Jarra'][0] = Reference.OBJ_USEME
#######################################################################################################################

##########
# SKILLS #
##########

dwf=Bladex.GetCharType("Dwarf_N","Dwf_N")

# MACES = CLUB (Lv.3)
dwf.AllowAttack("GM30_1H","&F","GM18_1H","","GM18_1H_Window","Maza")
dwf.AllowAttack("GM30_1H","&F","GM18_1H","","GM18_1H_Window","Maza2")
dwf.AllowAttack("GM30_1H","&F","GM18_1H","","GM18_1H_Window","Maza3")
dwf.AllowAttack("GM30_1H","&F","GM18_1H","","GM18_1H_Window","Varita1")

# SWORDS = ICEHAMMER (Lv.13)
dwf.AllowAttack("GM9_1H","B+R","GI_1H","","GI_1H_Window","Gladius")
dwf.AllowAttack("GM9_1H","B+R","GI_1H","","GI_1H_Window","Espadaelfica")
dwf.AllowAttack("GM9_1H","B+R","GI_1H","","GI_1H_Window","Espadaromana")
dwf.AllowAttack("GM9_1H","B+R","GI_1H","","GI_1H_Window","Espadacurva")
dwf.AllowAttack("GM9_1H","B+R","GI_1H","","GI_1H_Window","Espadafilo")
dwf.AllowAttack("GM9_1H","B+R","GI_1H","","GI_1H_Window","Espada")
dwf.AllowAttack("GM9_1H","B+R","GI_1H","","GI_1H_Window","Dagesse")
dwf.AllowAttack("GM9_1H","B+R","GI_1H","","GI_1H_Window","Cimitarra")
dwf.AllowAttack("GM9_1H","B+R","GI_1H","","GI_1H_Window","DoubleSword")
dwf.AllowAttack("GM9_1H","B+R","GI_1H","","GI_1H_Window","Sablazo")
dwf.AllowAttack("GM9_1H","B+R","GI_1H","","GI_1H_Window","KingSword")

# POISONOUS WEAPONS = VENOM HAMMER (Lv.17)
dwf.AllowAttack("GM10_1H","F+B","GM18_1H","","GM18_1H_Window","Orksword")
dwf.AllowAttack("GM10_1H","F+B","GM18_1H","","GM18_1H_Window","EgyptSword")
dwf.AllowAttack("GM10_1H","F+B","GM18_1H","","GM18_1H_Window","DalWeapon")

#################
# SECRET COMBOS #
#################

# CURSED SKULL = QUEENS SWORD (Lv.12)
dwf.AllowAttack("GM8_1H","B+R","GM16_1H","","GM16_1H_Window","Varita7")

# STONE CLUB = SPIKED CLUB (Lv.9)
dwf.AllowAttack("GM26_1H","L+B","GM12_1H","","GM12_1H_Window","Mazapiedra")

# HALBERD = BITING AXE (Lv.7)
dwf.AllowAttack("GM25_1H","L+B","GM14_1H","","GM14_1H_Window","Alabarda")




######################## CUT SCENE STUFF #######################################################################################################
# CAMERA #
##########
def muevecamara(cuerpoinicial,mirillainicial,cuerpofinal,mirillafinal,tiempo,funcion):	
	cam1=Bladex.GetEntity("Camera")
	AuxFuncs.MoveCamFromTo(cuerpoinicial[0], cuerpoinicial[1], cuerpoinicial[2], cuerpofinal[0], cuerpofinal[1], cuerpofinal[2], mirillainicial[0], mirillainicial[1], mirillainicial[2], mirillafinal[0], mirillafinal[1], mirillafinal[2], tiempo,funcion)

def FinAnimacionFadeOut():
	AuxFuncs.FadeTo(7.0, 60.0)

# fadefromblack
def FinAnimacionConFade():
	AuxFuncs.FadeFrom(3.0, 1.0)
	Scorer.SetVisible(1)
	Bladex.ActivateInput()
	AuxFuncs.ResetScene()


# restore-nofadein
def FinAnimacion():
	Scorer.SetVisible(1)
	Bladex.ActivateInput()
	AuxFuncs.ResetScene()
	print("back to normal")
	

#########
# MUSIC #
#########

#Bladex.AddMusicEventADPCM( lpszEventName, lpszFile, dFIn, fVolume, dFOut, fPriority, bBackGround, iNext)

Bladex.AddMusicEventWAV("BOOKMusic",   "..\\..\\Sounds\\ATMOSFERA8.wav", 0.1, 1.0, 1.0, 1, 0, -1 )
Bladex.AddMusicEventMP3("KINGMusic",   "..\\..\\Sounds\\English\\tumba-escena1D.mp3", 0.1, 1.0, 1.0, 1, 0, 0 )
Bladex.AddMusicEventMP3("INTROMusic",   "..\\..\\Sounds\\CORO2.1.mp3", 0.1, 1.0, 1.0, 1, 0, 0 )
Bladex.AddMusicEventMP3("MINEMusic",   "..\\..\\Sounds\\osld24.mp3", 0.1, 0.7, 1.0, 1, 0, -1 )
Bladex.AddMusicEventWAV("GRAVEMusic",   "..\\..\\Sounds\\ATMOSFERA28.wav", 0.1, 1.0, 1.0, 1, 0, 0 )
Bladex.AddMusicEventMP3("TOMBMusic",   "..\\..\\Sounds\\ATMOSFERA12.mp3", 0.1, 1.0, 1.0, 1, 0, 0 )
Bladex.AddMusicEventWAV("HAMMERMusic",   "..\\..\\Sounds\\ATMOSFERA36.wav", 0.1, 1.0, 1.0, 1, 0, 0 )
Bladex.AddMusicEventMP3("DOORMusic",   "..\\..\\Sounds\\ATMOSFERA11.mp3", 0.1, 1.0, 1.0, 1, 0, 0 )
Bladex.AddMusicEventWAV("JAILMusic",   "..\\..\\Sounds\\ATMOSFERA7.wav", 0.1, 1.0, 1.0, 1, 0, -1 )
Bladex.AddMusicEventMP3("OUTSIDEMusic",   "..\\..\\Sounds\\ATMOSFERA5.mp3", 0.1, 1.0, 1.0, 1, 0, -1 )
Bladex.AddMusicEventWAV("TROLLMusic",   "..\\..\\Sounds\\combate1.wav", 0.1, 1.0, 1.0, 1, 0, -1 )
Bladex.AddMusicEventMP3("OUTROMusic",   "..\\..\\Sounds\\tema.mp3", 1.1, 1.0, 1.0, 1, 0, -1 )
Bladex.AddMusicEventWAV("INTROMOOD",   "..\\..\\Sounds\\INICIO-ATMOSFERA20.wav", 0.1, 1.0, 1.0, 1, 0, -1 )

###### MUSIC SECTOR TRIGGERS #############################################################################################

def PlayOutside():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.KillMusic,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("OUTSIDEMusic"),))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, JournalOut,())

def JournalOut():
	Talk.AddToJournal ('GoingOut')

darfuncs.EnterSecEvent(-34477.0871691, -6387.59252898, -15322.3023551, PlayOutside)

def PlayHammer():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.KillMusic,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("HAMMERMusic"),))

darfuncs.EnterSecEvent(30860.7678889, -8392.17297126, 39630.6796613, PlayHammer)

def PlayTomb():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("TOMBMusic"),))

darfuncs.EnterSecEvent(55403.5142775, -19887.6746635, 57606.561312, PlayTomb)

def PlayGrave():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.KillMusic,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("GRAVEMusic"),))

darfuncs.EnterSecEvent(53017.0612145,-5851.28186606,26628.4791094, PlayGrave)

##########################################################################################################################
# STATIC SOUNDS #
#################

caverna1=Sounds.CreatePeriodicSound("..\\..\\Sounds\\gota-caverna-agua-1.wav", "caverna1",8,4,(6635.78192669,809.943460279,33632.3973248))
caverna1.sound.Volume=1.0
caverna1.sound.MinDistance=5000
caverna1.sound.MaxDistance=10000
caverna1.sound.BaseVolume=1.0
caverna1.sound.SendNotify=0
caverna1.PlayPeriodic()

caverna2=Sounds.CreatePeriodicSound("..\\..\\Sounds\\gota-caverna-agua-2.wav", "caverna2",5,9,(6635.78192669,809.943460279,33632.3973248))
caverna2.sound.Volume=1.0
caverna2.sound.MinDistance=5000
caverna2.sound.MaxDistance=10000
caverna2.sound.BaseVolume=1.0
caverna2.sound.SendNotify=0
caverna2.PlayPeriodic()

caverna3=Sounds.CreatePeriodicSound("..\\..\\Sounds\\gota-caverna-agua-3.wav", "caverna3",9,3,(6635.78192669,809.943460279,33632.3973248))
caverna3.sound.Volume=1.0
caverna3.sound.MinDistance=5000
caverna3.sound.MaxDistance=10000
caverna3.sound.BaseVolume=1.0
caverna3.sound.SendNotify=0
caverna3.PlayPeriodic()

caverna4=Sounds.CreatePeriodicSound("..\\..\\Sounds\\gota-caverna-agua-1.wav", "caverna4",2,8,(10027.2806691, 17338.7820336, 69098.9799156))
caverna4.sound.Volume=2.0
caverna4.sound.MinDistance=5000
caverna4.sound.MaxDistance=10000
caverna4.sound.BaseVolume=1.0
caverna4.sound.SendNotify=0
caverna4.PlayPeriodic()

caverna5=Sounds.CreatePeriodicSound("..\\..\\Sounds\\gota-caverna-agua-2.wav", "caverna5",6,7,(10027.2806691, 17338.7820336, 69098.9799156))
caverna5.sound.Volume=2.0
caverna5.sound.MinDistance=5000
caverna5.sound.MaxDistance=10000
caverna5.sound.BaseVolume=1.0
caverna5.sound.SendNotify=0
caverna5.PlayPeriodic()

caverna6=Sounds.CreatePeriodicSound("..\\..\\Sounds\\gota-caverna-agua-3.wav", "caverna6",4,4,(10027.2806691, 17338.7820336, 69098.9799156))
caverna6.sound.Volume=2.0
caverna6.sound.MinDistance=10000
caverna6.sound.MaxDistance=50000
caverna6.sound.BaseVolume=1.0
caverna6.sound.SendNotify=0
caverna6.PlayPeriodic()

caverna7=Sounds.CreatePeriodicSound("..\\..\\Sounds\\Water-DripsL.wav", "caverna7",8,4,(-14232.576008,16650.478636,76873.0115089))
caverna7.sound.Volume=1.0
caverna7.sound.MinDistance=10000
caverna7.sound.MaxDistance=50000
caverna7.sound.BaseVolume=1.0
caverna7.sound.SendNotify=0
caverna7.PlayPeriodic()

spooky1=Sounds.CreatePeriodicSound("..\\..\\Sounds\\spirits.wav", "spooky1",8,4,(82746.787958,-20850.6491394,44937.0957909))
spooky1.sound.Volume=1.0
spooky1.sound.MinDistance=5000
spooky1.sound.MaxDistance=10000
spooky1.sound.BaseVolume=1.0
spooky1.sound.SendNotify=0
spooky1.PlayPeriodic()

spooky2=Sounds.CreatePeriodicSound("..\\..\\Sounds\\spirits2.wav", "spooky2",5,9,(82746.787958,-20850.6491394,44937.0957909))
spooky2.sound.Volume=1.0
spooky2.sound.MinDistance=5000
spooky2.sound.MaxDistance=10000
spooky2.sound.BaseVolume=1.0
spooky2.sound.SendNotify=0
spooky2.PlayPeriodic()

Fountain1=Bladex.CreateSound('..\\..\\Sounds\\agua-cascada-pequena.wav','Fountain1')
Fountain1.Volume=3.5
Fountain1.MinDistance=4000
Fountain1.MaxDistance=12000
Fountain1.Play(17762.6031921,-19987.6668027,64997.4911088, -1)

Fountain2=Bladex.CreateSound('..\\..\\Sounds\\agua-cascada-pequena.wav','Fountain2')
Fountain2.Volume=3.5
Fountain2.MinDistance=4000
Fountain2.MaxDistance=12000
Fountain2.Play(44362.6031921,-19987.6668027,64997.4911088, -1)


#######
# SFX #
#######

UNLOCKsfx=Sounds.CreateEntitySound('..\\..\\Sounds\\trap-trigger1.wav','UNLOCKsfx')
UNLOCKsfx.Volume=1.5
UNLOCKsfx.MinDistance=40000
UNLOCKsfx.MaxDistance=120000

def UNLOCK():
	UNLOCKsfx.Position=-838.6404377,-1637.90039,4664.42849784
	UNLOCKsfx.PlaySound(0)
	print("UNLOCKSOUND")

UNLOCK2sfx=Sounds.CreateEntitySound('..\\..\\Sounds\\trap-trigger1.wav','UNLOCK2sfx')
UNLOCK2sfx.Volume=1.5
UNLOCK2sfx.MinDistance=40000
UNLOCK2sfx.MaxDistance=120000

def UNLOCK2():
	UNLOCK2sfx.Position=29839.0661388,-6690.74381354,10950.0
	UNLOCK2sfx.PlaySound(0)
	print("UNLOCK2SOUND")

CHINGsfx=Sounds.CreateEntitySound('..\\..\\Sounds\\coger-arma.wav','CHINGsfx')
CHINGsfx.Volume=1.5
CHINGsfx.MinDistance=40000
CHINGsfx.MaxDistance=120000

def CHING():
	CHINGsfx.Position=72290.7221873,-26112.1649455,98218.3423649
	CHINGsfx.PlaySound(0)
	print("CHINGSOUND")

CKEYsfx=Sounds.CreateEntitySound('..\\..\\Sounds\\SORPRESA1.wav','CKEYsfx')
CKEYsfx.Volume=1.5
CKEYsfx.MinDistance=40000
CKEYsfx.MaxDistance=120000

def CKEY():
	CKEYsfx.Position=3427.21132733,-7829.70686973,-14602.7944525
	CKEYsfx.PlaySound(0)
	print("CKEYSOUND")

TROLLsfx=Sounds.CreateEntitySound('..\\..\\Sounds\\derrumbe2.wav','TROLLsfx')
TROLLsfx.Volume=1.5
TROLLsfx.MinDistance=40000
TROLLsfx.MaxDistance=120000

def TROLL():
	TROLLsfx.Position=26367.9562476,-6945.69304543,29313.8683674
	TROLLsfx.PlaySound(0)
	print("TROLLSOUND")

THUMPsfx=Sounds.CreateEntitySound('..\\..\\Sounds\\golpe-bola-piedra.wav','THUMPsfx')
THUMPsfx.Volume=1.5
THUMPsfx.MinDistance=40000
THUMPsfx.MaxDistance=120000

def THUMP():
	THUMPsfx.Position=35805.0195296, -6491.0526157, 45567.4950123
	THUMPsfx.PlaySound(0)
	print("THUMPSOUND")

# Actors sounds

PROGRUNTsfx=Sounds.CreateEntitySound('..\\..\\Sounds\\esfuerzos_barb_largo_2.wav','PROGRUNT2sfx')
PROGRUNTsfx.Volume=1.5
PROGRUNTsfx.MinDistance=40000
PROGRUNTsfx.MaxDistance=120000

def PROGRUNT():
	PROGRUNTsfx.Position=74420.8635349,-26281.578804,100716.219541
	PROGRUNTsfx.PlaySound(0)
	print("PROGRUNTSOUND")

DWFGRUNTsfx=Sounds.CreateEntitySound('..\\..\\Sounds\\esfuerzo-subirfinalDwf2.wav','DWFGRUNTsfx')
DWFGRUNTsfx.Volume=1.5
DWFGRUNTsfx.MinDistance=40000
DWFGRUNTsfx.MaxDistance=120000

def DWFGRUNT():
	DWFGRUNTsfx.Position=1845.16430391,-226.983259081,-2693.82686138
	DWFGRUNTsfx.PlaySound(0)
	print("DWFGRUNTSOUND")

HUHsfx=Sounds.CreateEntitySound('..\\..\\Sounds\\esfuerzo-caballero7.wav','HUHsfx')
HUHsfx.Volume=1.5
HUHsfx.MinDistance=40000
HUHsfx.MaxDistance=120000

def HUH():
	HUHsfx.Position=72290.7221873,-26112.1649455,98218.3423649
	HUHsfx.PlaySound(0)
	print("HUHSOUND")

GIRLYsfx=Sounds.CreateEntitySound('..\\..\\Sounds\\herida-amz4.wav','GIRLYsfx')
GIRLYsfx.Volume=1.5
GIRLYsfx.MinDistance=40000
GIRLYsfx.MaxDistance=120000

def GIRLY():
	GIRLYsfx.Position=63765.0643324,-26105.5147073,100808.242978
	GIRLYsfx.PlaySound(0)
	print("GIRLYSOUND")

GIRLY2sfx=Sounds.CreateEntitySound('..\\..\\Sounds\\herida-amz4.wav','GIRLYsfx')
GIRLY2sfx.Volume=1.5
GIRLY2sfx.MinDistance=40000
GIRLY2sfx.MaxDistance=120000

def GIRLY2():
	GIRLY2sfx.Position=64656.2469799,-26975.0902612,98093.1447139
	GIRLY2sfx.PlaySound(0)
	print("GIRLY2SOUND")

GROWLsfx=Sounds.CreateEntitySound('..\\..\\Sounds\\yeti-growl2.wav','GROWLsfx')
GROWLsfx.Volume=2.0
GROWLsfx.MinDistance=40000
GROWLsfx.MaxDistance=120000

def GROWL():
	GROWLsfx.Position=35805.0195296, -6491.0526157, 45567.4950123
	GROWLsfx.PlaySound(0)
	print("GRRRROWLSOUND")

#############
# Textstuff #
#############

Talk.Load ('DQdialog')

##### THE ELEVATOR ###############################################################################################################
def AbreRasanexo():
	desplazamientos=(14500.0, 600.0)
	vectores=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_iniciales=(500.0, 2000)
	vel_finales=(2000.0, 500)
	son_durante=(deslizrasanexo, deslizrasanexo)
	son_finales=("", golperasanexo)
	Objects.NDisplaceObject(rasanexodin, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def CierraRasanexo():
	desplazamientos=(14500.0, 600.0)
	vectores=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))
	vel_iniciales=(500.0, 2000)
	vel_finales=(2000.0, 500)
	son_durante=(deslizrasanexo, deslizrasanexo)
	son_finales=("", golperasanexo)
	Objects.NDisplaceObject(rasanexodin, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)
	Bladex.AddScheduledFunc(Bladex.GetTime() + 5.0, Bladex.KillMusic,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 5.5, JournalMines,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 6.0, HideDwarves,())

######### THE CELLS ###############################################################################################################

def AbreCell2():
        desplazamientos=(2250.0, 600.0)
        vectores=((1.0, 0.0, 0.0), (1.0, 0.0, 0.0))  
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell2, deslizcell2)
        son_finales=("", golpecell2)
        Objects.NDisplaceObject(cell2din, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def CierraCell2():
        desplazamientos=(2250.0, 600.0)
        vectores=((-1.0, 0.0, 0.0), (-1.0, 0.0, 0.0))
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell2, deslizcell2)
        son_finales=("", golpecell2)
        Objects.NDisplaceObject(cell2din, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def AbreCell3():
        desplazamientos=(2250.0, 600.0)
        vectores=((1.0, 0.0, 0.0), (1.0, 0.0, 0.0))  
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell3, deslizcell3)
        son_finales=("", golpecell3)
        Objects.NDisplaceObject(cell3din, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def CierraCell3():
        desplazamientos=(2250.0, 600.0)
        vectores=((-1.0, 0.0, 0.0), (-1.0, 0.0, 0.0))
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell3, deslizcell3)
        son_finales=("", golpecell3)
        Objects.NDisplaceObject(cell3din, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def AbreCell4():
        desplazamientos=(2250.0, 600.0)
        vectores=((1.0, 0.0, 0.0), (1.0, 0.0, 0.0))  
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell4, deslizcell4)
        son_finales=("", golpecell4)
        Objects.NDisplaceObject(cell4din, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def CierraCell4():
        desplazamientos=(2250.0, 600.0)
        vectores=((-1.0, 0.0, 0.0), (-1.0, 0.0, 0.0))
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell4, deslizcell4)
        son_finales=("", golpecell4)
        Objects.NDisplaceObject(cell4din, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def AbreCell5():
        desplazamientos=(2250.0, 600.0)
        vectores=((1.0, 0.0, 0.0), (1.0, 0.0, 0.0))  
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell5, deslizcell5)
        son_finales=("", golpecell5)
        Objects.NDisplaceObject(cell5din, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def CierraCell5():
        desplazamientos=(2250.0, 600.0)
        vectores=((-1.0, 0.0, 0.0), (-1.0, 0.0, 0.0))
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell5, deslizcell5)
        son_finales=("", golpecell5)
        Objects.NDisplaceObject(cell5din, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def AbreCell6():
        desplazamientos=(2300.0, 600.0)
        vectores=((-1.0, 0.0, 0.0), (-1.0, 0.0, 0.0))  
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell6, deslizcell6)
        son_finales=("", golpecell6)
        Objects.NDisplaceObject(cell6din, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def CierraCell6():
        desplazamientos=(2300.0, 600.0)
        vectores=((1.0, 0.0, 0.0), (1.0, 0.0, 0.0))
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell6, deslizcell6)
        son_finales=("", golpecell6)
        Objects.NDisplaceObject(cell6din, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def AbreCell7():
        desplazamientos=(2300.0, 600.0)
        vectores=((-1.0, 0.0, 0.0), (-1.0, 0.0, 0.0))  
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell7, deslizcell7)
        son_finales=("", golpecell7)
        Objects.NDisplaceObject(cell7din, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def CierraCell7():
        desplazamientos=(2300.0, 600.0)
        vectores=((1.0, 0.0, 0.0), (1.0, 0.0, 0.0))
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell7, deslizcell7)
        son_finales=("", golpecell7)
        Objects.NDisplaceObject(cell7din, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def AbreCell8():
        desplazamientos=(2300.0, 600.0)
        vectores=((-1.0, 0.0, 0.0), (-1.0, 0.0, 0.0))  
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell8, deslizcell8)
        son_finales=("", golpecell8)
        Objects.NDisplaceObject(cell8din, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def CierraCell8():
        desplazamientos=(2300.0, 600.0)
        vectores=((1.0, 0.0, 0.0), (1.0, 0.0, 0.0))
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell8, deslizcell8)
        son_finales=("", golpecell8)
        Objects.NDisplaceObject(cell8din, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def AbreCell9():
        desplazamientos=(2300.0, 600.0)
        vectores=((-1.0, 0.0, 0.0), (-1.0, 0.0, 0.0))  
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell9, deslizcell9)
        son_finales=("", golpecell9)
        Objects.NDisplaceObject(cell9din, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def CierraCell9():
        desplazamientos=(2300.0, 600.0)
        vectores=((1.0, 0.0, 0.0), (1.0, 0.0, 0.0))
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell9, deslizcell9)
        son_finales=("", golpecell9)
        Objects.NDisplaceObject(cell9din, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def AbreMyCell():
        desplazamientos=(2300.0, 600.0)
        vectores=((-1.0, 0.0, 0.0), (-1.0, 0.0, 0.0))  
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizcell9, deslizmycell)
        son_finales=("", golpemycell)
        Objects.NDisplaceObject(mycelldin, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def CierraMyCell():
        desplazamientos=(2300.0, 600.0)
        vectores=((1.0, 0.0, 0.0), (1.0, 0.0, 0.0))
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizmycell, deslizmycell)
        son_finales=("", golpemycell)
        Objects.NDisplaceObject(mycelldin, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

###################################################################################################################################
# SPECIAL GATE #
################

#### FIX THE BROKEN LEVER
def SayFound():
	GameText.WriteTextAux(Tr("NAGLFAR:\nHmmm..\nWhats this ??"), 4.0, 255,255,255,[],27)
	
def SayFix():
	GameText.WriteTextAux(Tr("NAGLFAR:\nI think it should be working now"), 4.0, 255,255,255,[],27)

def FixIt(TargetName, usefrom):
	char = Bladex.GetEntity("Player1")
	dist = B3DLib.GetXZDistance ("Player1", "BrokenBase")
	inv = char.GetInventory()
	if dist<2000 and inv.CarringObject("BrokenLever") :
		char.LaunchAnmType("Dwf_pulsador")
		char.AnmEndedFunc = SayFix()
		Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, UNLOCK2,())
		Bladex.AddScheduledFunc(Bladex.GetTime() + 0.2, darfuncs.HideObject, ("BrokenBase",))
		Bladex.AddScheduledFunc(Bladex.GetTime() + 0.2, darfuncs.HideObject, ("BaseDeco",))
		Bladex.AddScheduledFunc(Bladex.GetTime() + 0.2, RestoreLever,())
		Bladex.AddScheduledFunc(Bladex.GetTime() + 0.2, LeverGone,())
		Bladex.AddScheduledFunc(Bladex.GetTime() + 0.2, PeekaBooSpecialGateGuys,())
		print("fixed it")
	

def LeverGone():
	char = Bladex.GetEntity("Player1")
	inv = char.GetInventory()
	inv.RemoveObject("BrokenLever")
	print("levergone")

def AbreSpecialGate():
        desplazamientos=(1500.0, 600.0)
        vectores=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))  
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizspgate, deslizspgate)
        son_finales=("", golpespgate)
        Objects.NDisplaceObject(spgatedin, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)

def CierraSpecialGate():
        desplazamientos=(1500.0, 600.0)
        vectores=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
        vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizspgate, deslizspgate)
        son_finales=("", golpespgate)
        Objects.NDisplaceObject(spgatedin, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)


	
def RestoreLever():
	spgatelever=Levers.PlaceLever("SpecialGateLever",Levers.LeverType2,(29839.0661388,-6690.74381354,10950.0),(0.707043409348,-0.00015287961287,0.707170128822,2.60994020209e-005),1.0)
	spgatelever.mode=0

	spgatelever.OnTurnOnFunc=AbreSpecialGate
	spgatelever.OnTurnOnArgs=()

	spgatelever.OnTurnOffFunc=CierraSpecialGate
	spgatelever.OnTurnOffArgs=()

##### RUNIC HAMMER GATES #################################################################################################################

def AbreRuneGates():
	desplazamientos=(2500.0, 600.0)
	vectores1=((1.0, 0.0, 0.0), (1.0, 0.0, 0.0))
	vectores2=((-1.0, 0.0, 0.0), (-1.0, 0.0, 0.0))
	vel_iniciales=(500.0, 2000)
	vel_finales=(2000.0, 500)
	son_durante=(deslizrunegate2, deslizrunegate2)
	son_finales=("", golperunegate2)
	Objects.NDisplaceObject(runegate1din, desplazamientos, vectores1, vel_iniciales, vel_finales, (), son_durante, son_finales)
	Objects.NDisplaceObject(runegate2din, desplazamientos, vectores2, vel_iniciales, vel_finales, (), son_durante, son_finales)
	darfuncs.HideObject("StonePointer")
	Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, StoneGuyFreeze,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 2.5, KillStoneGuys,())

def CierraRuneGates():
	desplazamientos=(2500.0, 600.0)
	vectores1=((-1.0, 0.0, 0.0), (-1.0, 0.0, 0.0))
	vectores2=((1.0, 0.0, 0.0), (1.0, 0.0, 0.0))
	vel_iniciales=(500.0, 2000)
	vel_finales=(2000.0, 500)
	son_durante=(deslizrunegate2, deslizrunegate2)
	son_finales=("", golperunegate2)
	Objects.NDisplaceObject(runegate1din, desplazamientos, vectores1, vel_iniciales, vel_finales, (), son_durante, son_finales)
	Objects.NDisplaceObject(runegate2din, desplazamientos, vectores2, vel_iniciales, vel_finales, (), son_durante, son_finales)


def PushStone(brick,usefrom):
	char = Bladex.GetEntity("Player1")
	Actions.TurnToFaceEntity("Player1","StonePointer")
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.1, char.LaunchAnmType, ("Dwf_g_kick",))
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.7, THUMP, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+2.0, AbreRuneGates, ())


#############
# KINGSDOOR #
#############

def OpenKingDoor():
	desplazamientos=(2500.0, 600.0)
	vectores1=((-1.0, 0.0, 0.0), (-1.0, 0.0, 0.0))
	vel_iniciales=(500.0, 2000)
	vel_finales=(2000.0, 500)
	son_durante=(kingsound1, kingsound1)
	son_finales=("", kingsound2)
	Objects.NDisplaceObject(kingdoordin, desplazamientos, vectores1, vel_iniciales, vel_finales, (), son_durante, son_finales)
	darfuncs.HideObject("KingPointer")

def CloseKingDoor():
	desplazamientos=(2500.0, 600.0)
	vectores1=((1.0, 0.0, 0.0), (1.0, 0.0, 0.0))
	vel_iniciales=(500.0, 2000)
	vel_finales=(2000.0, 500)
	son_durante=(kingsound1, kingsound1)
	son_finales=("", kingsound2)
	Objects.NDisplaceObject(kingdoordin, desplazamientos, vectores1, vel_iniciales, vel_finales, (), son_durante, son_finales)
	darfuncs.UnhideObject("KingPointer")

###### Open Forge doors ######
def EnemigoMuere(entity): 
  Abredoor1() 
  me = Bladex.GetEntity(entity) 
  if me.Data.OldImDeadFunc: 
      me.Data.OldImDeadFunc(entity) 

def Abredoor1():
	p1.OpenDoor()
	p2.OpenDoor()

def Cierradoor1():
	p1.CloseDoor()
	p2.CloseDoor()

###### EXIT #####

def Abreoutdoor():
	outdoor.OpenDoor()
	ShamanCut()

def Cierraoutdoor():
	outdoor.CloseDoor()

##########################################################################################################################################
#### FIRE TRAP #### (I dunno what half of this code does..but hey it works eh :) #
##################################################################################
def DropPiedrita():
	r=whrandom.randint(-4000,4000)
	return dust.DropPiedra(5843+r, 8893, 48670,-r*15,-140000,whrandom.randint(-6000,6000))

def gfireHit(name,hit_entity,x,y,z,vx,vy,vz,a9=0,a10=0,a11=0,a12=0,a13=0,a14=0,a15=0,a16=0,a18=0):
	global killed
	global GARGULUS_FIRE_DAMAGE
	if (hit_entity=="Player1") :
		#print("hit_entity:"+hit_entity+" , name:"+name)
		char = Bladex.GetEntity("Player1")
		if (char.Life<GARGULUS_FIRE_DAMAGE+1):
			if (not killed) :
				killed=1
				char.Life = 0
				Actions.FireDeath("Player1")
		else:
			char.Life=char.Life-GARGULUS_FIRE_DAMAGE


##################################### lanzamiento de una llama a partir de una posicion y un destino #############
def cuadraduchi(c):
	return c*c

def sqrDistancia(pos1,pos2):
	return cuadraduchi(pos1[0]-pos2[0])+cuadraduchi(pos1[1]-pos2[1])+cuadraduchi(pos1[2]-pos2[2])

def PlayFogonazo(pos):
	global _SndFogonazoPos

	if sqrDistancia(pos,char.Position)-sqrDistancia(_SndFogonazoPos,char.Position) <10 :
		_SndFogonazoPos = pos
		_SndFogonazo.Stop()
		_SndFogonazo.Play(pos[0],pos[1],pos[2],0)



def gfire(ama,amb,i,p,r,gaz) :

	flame=Bladex.CreateEntity("gaFlame", "Entity Particle System D1", ama[0],ama[1],ama[2] )
	PlayFogonazo((ama[0],ama[1],ama[2]))

	if (gaz) :
		flame.ParticleType="GargFlame"
	else :
		flame.ParticleType="Hoguera"
	flame.YGravity=-2400.0
	flame.Friction=0.12
	flame.PPS=p
	flame.Velocity=(amb[0]-ama[0])*i,(amb[1]-ama[1])*i,(amb[2]-ama[2])*i
	flame.RandomVelocity=r
	flame.Time2Live=21
	flame.DeathTime=Bladex.GetTime()+0.75

	return flame

def gfireA() :
	ama=26801.4418987,-8489.37750861,44526.2586065
	amb=27401.4418987, -7489.37750861, 44526.2586065
	flame = gfire(ama,amb,8.4,250,40.0,1)
	PSCheckerA.startCheck(flame,0.90)

##################################### fire timing control #############

def gFireEven() :
	global gfperiod
	global gfstop
	global _SndFogonazoPos
	gfireA()
	gfireC()
	gfireE()
	gfireG()
	gfireI()
	if (gfstop==0) : Bladex.AddScheduledFunc(Bladex.GetTime()+gfperiod, gFireEven, ())
	_SndFogonazoPos = 0,0,0

def gFireOdd() :
	global gfperiod
	global gfstop
	global _SndFogonazoPos
	gfireB()
	gfireD()
	gfireF()
	gfireH()
	if (gfstop==0) : Bladex.AddScheduledFunc(Bladex.GetTime()+gfperiod, gFireOdd, ())
	_SndFogonazoPos = 0,0,0

def gFireStart() :
	global gfperiod
	global gfstop
	#print("gfire on")
	gfstop=0
	gFireEven()
	Bladex.AddScheduledFunc(Bladex.GetTime()+(gfperiod*0.5), gFireOdd, ())

def gFireStop() :
	global gfstop
	#print("gfire off")
	gfstop=1


##################################################################################################################
#### SPIKE TRAP ####
####################
def Solidifica(pincho):
	pincho.Solid=1

def LanzaPinchoLab():
	global pincholabactivado
	if pincholabactivado:
		pincholab.Solid=0
		pincholab.MessageEvent(MESSAGE_START_WEAPON,0,0)
		Objects.DisplaceObject(pincholabdin, 2800.0, (0.0, -1.0, 0.0), 20000.0, 20000.0, pinchodeslizando, "", pinchogolpeando, "", (), Solidifica, (pincholab,))
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.4, RecogePinchoLab, ())

def RecogePinchoLab():
	Objects.DisplaceObject(pincholabdin, 2800.0, (0.0, 1.0, 0.0), 20000.0, 20000.0)
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.4, LanzaPinchoLab, ())

def ActivaPinchoLab():
	global pincholabactivado
	pincholabactivado=1
	LanzaPinchoLab()

def DesactivaPinchoLab():
	global pincholabactivado
	pincholabactivado=0


##################################################################################################################
##### STONE GUYS #####
######################
def unhidestoneys():
	sg1 = Bladex.GetEntity("StoneGuy1")
	sg2 = Bladex.GetEntity("StoneGuy2")
	darfuncs.HideObject("StoneSleep1")
	darfuncs.HideObject("StoneSleep2")
	darfuncs.UnhideBadGuy("StoneGuy1")
	darfuncs.UnhideBadGuy("StoneGuy2")
	sg1.Data.Invincibility=1
	sg2.Data.Invincibility=1

def StoneGuyFreeze():
	sg1 = Bladex.GetEntity("StoneGuy1")
	sg2 = Bladex.GetEntity("StoneGuy2")
	sg1.Freeze()
	sg2.Freeze()
	sg1.Data.Invincibility=0
	sg2.Data.Invincibility=0

def KillStoneGuys():
	sg1 = Bladex.GetEntity("StoneGuy1")
	sg2 = Bladex.GetEntity("StoneGuy2")
	sg1.Life=0
	sg2.Life=0

##################################################################################################################
## BREAK WALLS ##
#################
# THE GRAVE

def dustTriangle (name,p1,p2,p3):
	print(p1)
	print(p2)
	print(p3)
	dust=Bladex.CreateEntity(name, "Entity Particle System D3", p3[0],p3[1],p3[2] )
	dust.D1= p1[0]-p3[0] ,p1[1]-p3[1] ,p1[2]-p3[2]
	dust.D2= p2[0]-p3[0] ,p2[1]-p3[1] ,p2[2]-p3[2]
	dust.ParticleType="MediumDust"
	dust.YGravity=30.0
	dust.Friction=0.2
	dust.PPS=412*2
	dust.Velocity=0.0, -410.0, 0.0
	dust.RandomVelocity=40.0
	dust.Time2Live=10
	dust.DeathTime=Bladex.GetTime()+29.0/60.0


def RompeMuroFalso(sector_index, entity_name, px, py, pz, ximpulse, yimpulse, zimpulse, x_norm, y_norm, z_norm,ximpulse=0,yimpulse=0,zimpulse=0,x_norm=0,y_norm=0,z_norm=0,material=""):
	sonidoroturamurofalso.Play(51101.6898169, -6387.88512915, 19007.815023)
	sectormurofalsotes.DoBreak((0.0, 0.0, -2.5), (px, py, pz), (0.0, 0.0, 0.0))

	p0 = 51006.8936447,-7889.695259,20446.6399695
	p1 = 50206.8936447,-6289.695259,20446.6399695
	p2 = 51806.8936447,-6289.695259,20446.6399695
	p3 = 51206.8936447,-5689.695259,20446.6399695

	dustTriangle("rppolvo1",p0,p1,p2)
	dustTriangle("rppolvo2",p3,p1,p2)

	sectorrompemurofalsotes.OnHit=""

	sonidoroturamurofalso2.Play(51101.6898169, -6387.88512915, 19007.815023)
	sectormurofalsotes2.DoBreak((0.0, 0.0, -2.5), (px, py, pz), (0.0, 0.0, 0.0))
	sectorrompemurofalsotes2.OnHit=""

##################################################################################################################
## PEEKABOO ##
##############

# FORGE GOBBOS
def PeekaBooForgeGuys():
	darfuncs.UnhideBadGuy("BowOrc")
	darfuncs.UnhideBadGuy("OrcSmith")
	print("PEEK-A-BOO ForgeGuys")

darfuncs.EnterSecEvent(39041.6697718, -887.362738138, -12874.4354955, PeekaBooForgeGuys)

# MELTER GOBBO
def PeekaBooMelter():
	darfuncs.UnhideBadGuy("Ork_229")
	print("PEEK-A-BOO Melter")

# MINING.co
def PeekaBooMineGuys():
	darfuncs.UnhideBadGuy("Sniper1")
	darfuncs.UnhideBadGuy("Sniper2")
	darfuncs.UnhideBadGuy("MineOrc1")
	darfuncs.UnhideBadGuy("MineOrc2")
#	darfuncs.UnhideBadGuy("MineOrc3")
#	darfuncs.UnhideBadGuy("MineOrc4")
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.KillMusic,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 5.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("MINEMusic"),))
	print("PEEK-A-BOO Mining.co")


def PeekaBooMoreMineGuys():
	darfuncs.UnhideBadGuy("MineOrc3")
	darfuncs.UnhideBadGuy("MineOrc4")
	print("PEEK-A-BOO ExtraMining.co")

darfuncs.EnterSecEvent(23875.1725546, 6110.79720376, 38717.2770592, PeekaBooMoreMineGuys)


def PeekaBooBoss2():
	darfuncs.UnhideBadGuy("BossOrc2")
	darfuncs.UnhideBadGuy("Jarnfragner")
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, DwarfHelp1,())
	print("PEEK-A-BOO Miner1 & BossOrc2")

darfuncs.EnterSecEvent(38760.7323143, 14113.3998927, 43976.0013568, PeekaBooBoss2)


def PeekaBooBoss1():
	darfuncs.UnhideBadGuy("BossOrc1")
	darfuncs.UnhideBadGuy("Bjornfuld")
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, DwarfHelp2,())
	print("PEEK-A-BOO Miner2 & BossOrc1")

darfuncs.EnterSecEvent(-17229.9016953, 3111.2286436, 33347.5270437, PeekaBooBoss1)

# CHEF GOBBOS
def PeekaBooChefs():
	darfuncs.UnhideBadGuy("ChefOrc")
	darfuncs.UnhideBadGuy("Chef2")
	print("PEEK-A-BOO ChefGoblins")

darfuncs.EnterSecEvent(30041.9792602, -2386.24901265, -11551.5506854, PeekaBooChefs)

# SPIDERS
def PeekaBooSpiders():
	darfuncs.UnhideBadGuy("Spider1")
	darfuncs.UnhideBadGuy("Spider2")
	darfuncs.UnhideBadGuy("Spider3")
	print("PEEK-A-BOO Spiders")

darfuncs.EnterSecEvent(-838.6404377,-1637.90039,4664.42849784, PeekaBooSpiders)

#  BAR/ORCS
def PeekaBooToughOrcs():
	darfuncs.UnhideBadGuy("BARORC1")
	darfuncs.UnhideBadGuy("BARORC2")
	print("PEEK-A-BOO Barbarian/Orcs")

darfuncs.EnterSecEvent(82831.1163386,-20883.7494945,44184.351734, PeekaBooToughOrcs)

def PeekaBooSpecialGateGuys():
	darfuncs.UnhideBadGuy("SablazoOrc")
	print("PEEK-A-BOO SpecialGateGuys")

def PeekaBooHallOrcs():
	darfuncs.UnhideBadGuy("BlackOrc1")
	darfuncs.UnhideBadGuy("BlackOrc2")
	darfuncs.UnhideBadGuy("Ork_1500")
	darfuncs.UnhideBadGuy("Ork_1503")
	darfuncs.UnhideBadGuy("Great_Ork_1506")
	print("PEEK-A-BOO HallOrcs")

darfuncs.EnterSecEvent(38379.9377468, -18396.2386234, 50416.855722, PeekaBooHallOrcs)
darfuncs.EnterSecEvent(23489.7333843, -17886.803663, 49321.8825328, PeekaBooHallOrcs)

def PeekaBooBlackOrcs():
	darfuncs.UnhideBadGuy("BlackOrc1")
	darfuncs.UnhideBadGuy("BlackOrc2")
	darfuncs.HideObject("BookPointer")
	print("PEEK-A-BOO BlackOrcs")

def PeekaBooBlackOrcs2():
	darfuncs.UnhideBadGuy("BlackOrc1")
	darfuncs.UnhideBadGuy("BlackOrc2")
	print("PEEK-A-BOO BlackOrcs")

def PeekaBooBoneys():
	darfuncs.UnhideBadGuy("Skeleton1")	
	darfuncs.UnhideBadGuy("Skeleton2")
	darfuncs.UnhideBadGuy("Shaman")
	print("PEEK-A-BOO Skeletons and Shaman")

def PeekaBooBlackArcher1():
	darfuncs.UnhideBadGuy("BlackArcher1")
	darfuncs.UnhideBadGuy("BARORCT")
	print("PEEK-A-BOO Archer and Orc")

darfuncs.EnterSecEvent(-18550.2104206, -6389.81325279, -34049.0312062, PeekaBooBlackArcher1)

def PeekaBooBigTroll():
	darfuncs.UnhideBadGuy("BigTroll")
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.KillMusic,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("TROLLMusic"),))
	print("PEEK-A-BOO BIG TROLL !")

def PeekaBooTrollStuff():
	darfuncs.HideObject("GobletKeyFake")
	darfuncs.HideObject("StatuePointer")
	darfuncs.HideObject("Gobletstatue")
	darfuncs.UnhideObject("GobletstatueFallen")
	print("PREPARE THE TROLL STUFF")

def PeekaBooTowerDudes():
	darfuncs.UnhideBadGuy("TowerSkel")
	darfuncs.UnhideBadGuy("Shaman2")
	darfuncs.UnhideBadGuy("Skeleton_1911")
	print("PEEK-A-BOO Tower dudes")
	Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, PoorSkellyton,())

darfuncs.EnterSecEvent(20192.7334095,-5595.90444373,-89293.3148476, PeekaBooTowerDudes)

def PoorSkellyton():
	Skellyton = Bladex.GetEntity("Skeleton_1911")
	Skellyton.SeverLimb(1)
	print("Poor Skellyton lost his noggin")

##################################################################################################################
## WATER SPOUTS ##
##################
# GREAT HALL FOUNTAINS

def CreateCascada(Cascada,p,d,v,pc,Time = 18,Grav = 8000,PPS = 400):
	cascada=Bladex.CreateEntity(Cascada, "Entity Particle System D2",p[0],p[1],p[2])
	cascada.D=d[0],d[1],d[2]
	cascada.ParticleType="AguaC"
	cascada.Friction=0.07
	cascada.RandomVelocity=10.0
	cascada.Velocity=v[0],v[1],v[2]
	cascada.PPS=PPS
	cascada.YGravity=Grav
	cascada.Time2Live=Time

	espuma=Bladex.CreateEntity(Cascada+"Espuma", "Entity Particle System D2",pc[0],pc[1],pc[2])
	espuma.D=d[0],d[1],d[2]
	espuma.ParticleType="Espuma"
	espuma.PPS=40
	espuma.YGravity=0.0
	espuma.Friction=0.07
	espuma.Velocity=0.0, -1000.0, 0.0
	espuma.RandomVelocity=30.0
	espuma.RandomVelocity_V=30.0
	espuma.Time2Live=10

def CreateEspuma(Espuma,pc,d,PPS = 40):
	espuma=Bladex.CreateEntity(Espuma, "Entity Particle System D2",pc[0],pc[1],pc[2])
	espuma.D=d[0],d[1],d[2]
	espuma.ParticleType="Espuma"
	espuma.PPS=PPS
	espuma.YGravity=0.0
	espuma.Friction=0.07
	espuma.Velocity=0.0, -1000.0, 0.0
	espuma.RandomVelocity=30.0
	espuma.RandomVelocity_V=30.0
	espuma.Time2Live=10


def BorrarCascada(cascada):
	cascada = Bladex.GetEntity(cascada)
	cascada.SubscribeToList("Pin")
	
	espuma = Bladex.GetEntity(cascada+"Espuma")
	espuma.SubscribeToList("Pin")

##################################################################################################################
##                                                                                                              ##
##                                                  THE ACTORS                                                  ##
##                                                                                                              ##
##################################################################################################################
# ACTORS ICONS #
################

Bladex.ReadBitMap("../../Data/Icons/icono barbaro.bmp","BarbarianIcon")
Reference.EnemiesScorerData['Prospero']=("BarbarianIcon","Barbarian")

Bladex.ReadBitMap("../../Data/Icons/icono amazona.bmp","AmazonIcon")
Reference.EnemiesScorerData['Beshore']=("AmazonIcon","Amazon")

Bladex.ReadBitMap("../../Data/Icons/icono caballero.bmp","KnightIcon")
Reference.EnemiesScorerData['Masklin']=("KnightIcon","Knight")

Bladex.ReadBitMap("../../Data/Icons/icono amazona.bmp","AmazonIcon")
Reference.EnemiesScorerData['Beshore2']=("AmazonIcon","Amazon")

#######
# EXP #
#######
# Info recovered from MoriaMod "the last bridge" and Stats/CharData.py
#
#                                    at level             0       1       2       3       4       5       6       7       8       9      10      11      12      13      14      15      16      17      18      19 
CharData.CharExperienceReward['Barbarian_N']=       [    40,     50,     60,    120,    240,    480,    960,   1920,   3840,   7680,  15360,  30720,  61440, 122880, 135000, 150000, 170000, 190000, 210000, 240000]



###########################
# Jarnfragner & Bjornfuld #
# two dwarves in trouble  #
###########################

def COWARD():
	jarn=Bladex.GetEntity("Jarnfragner")
	jarn.Life=0
	GameText.WriteTextAux(Tr("JARNFRAGNER:\nThank ye for the help Naglfar !"), 6.0, 252,247,167,[],27)

def coward(sector,entity):
	jarn=Bladex.GetEntity("Jarnfragner")
	boss=Bladex.GetEntity("BossOrc2")
	if entity==("Player1") and (jarn.Life>0) and (boss.Life>0):
		COWARD()
	else:
		pass

helpsect=Bladex.GetSector(21727.2721811, 14827.2815485, 59678.7380451)
helpsect.OnEnter=coward

def HideDwarves():
	jarn=Bladex.GetEntity("Jarnfragner")
	bjorn=Bladex.GetEntity("Bjornfuld")
	darfuncs.HideBadGuy("Jarnfragner")
	darfuncs.HideBadGuy("Bjornfuld")

DWARFevent=0

def OnceIsEnough():
	global DWARFevent
	DWARFevent=DWARFevent+1
	print("This should fix the journal spam")

def JournalMines():
	global DWARFevent
	jarn=Bladex.GetEntity("Jarnfragner")
	bjorn=Bladex.GetEntity("Bjornfuld")
	if (bjorn.Life<0) and (jarn.Life>0) and DWARFevent==0:
		Talk.AddToJournal ('SavedJarn')
		OnceIsEnough()
	elif (bjorn.Life>0) and (jarn.Life<0) and DWARFevent==0:
		Talk.AddToJournal ('SavedBjorn')
		OnceIsEnough()
	elif (bjorn.Life>0) and (jarn.Life>0) and DWARFevent==0:
		Talk.AddToJournal ('SavedBoth')
		OnceIsEnough()
	elif (bjorn.Life<0) and (jarn.Life<0) and DWARFevent==0:
		Talk.AddToJournal ('SavedNone')
		OnceIsEnough()

def Boss2Dead(entity): 
  jarn=Bladex.GetEntity("Jarnfragner") 
  if(jarn.Life>0):
      Dwarf1Cut()
  else:
      pass
  me = Bladex.GetEntity(entity) 
  if me.Data.OldImDeadFunc: 
      me.Data.OldImDeadFunc(entity) 

def DwarfHelp1():
        GameText.WriteTextAux(Tr("JARNFRAGNER:\nBlast ye son of a ogre !\nTime to die !!"), 3.0, 252,247,167,[],27)

def Dwarf1ChatterA():
        GameText.WriteTextAux(Tr("JARNFRAGNER:\nThank ye for the help Naglfar\nThe blasted orcs have ruined the elevator\nThe only way up now is with the emergency key"), 10.0, 252,247,167,[],27)

def Dwarf1ChatterB():
        GameText.WriteTextAux(Tr("JARNFRAGNER:\nBjornfuld is up ahead through that way, Past the underground lake\nHe has the emergency key and might be in trouble I fear\nThe Damned creatures figured out we where going to escape with the key"), 15.0, 252,247,167,[],27)

def Dwarf1ChatterC():
        GameText.WriteTextAux(Tr("JARNFRAGNER:\nPlease go see if he needs any help..Ill stay here and cover your back"), 10.0, 252,247,167,[],27)

def Dwarf1Cut():
	char=Bladex.GetEntity("Player1")
	char.Wuea=Reference.WUEA_ENDED
	char.InterruptCombat()
	char.SetActiveEnemy("")
	char.LaunchAnmType('Rlx')
	AbreCam.ResetNode()
	AbreCam.AddNode ((29172.7615905,13010.2239,62052.7692796),(33009.0750029,14151.0613961,67828.3127636), 0)
	AbreCam.AddNode ((29172.7615905,13010.2239,62052.7692796),(33009.0750029,14151.0613961,67828.3127636), 10)
	AbreCam.AddNode ((29172.7615905,13010.2239,62052.7692796),(24690.4040504, 14171.3245567, 59506.4321643), 5)
	AbreCam.AddNode ((29172.7615905,13010.2239,62052.7692796),(33009.0750029,14151.0613961,67828.3127636), 10)
	AbreCam.LastTime=10
	AbreCam.AbreCam()
	jarn=Bladex.GetEntity("Jarnfragner")
	jarn.Position=33009.0750029,14151.0613961,67828.3127636
	jarn.Angle=3.19076171553
	char.Position=34172.6312665, 14114.0983661, 65859.8915851
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5, Actions.TurnToFaceEntity, ("Player1","Jarnfragner"))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, Dwarf1ChatterA,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 12.0, Dwarf1ChatterB,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 28.0, Dwarf1ChatterC,())


def Boss1Dead(entity): 
  bjorn=Bladex.GetEntity("Bjornfuld")
  if(bjorn.Life>0):
      Dwarf2Cut()
  else:
      pass
  me = Bladex.GetEntity(entity) 
  if me.Data.OldImDeadFunc: 
      me.Data.OldImDeadFunc(entity)

def DwarfHelp2():
        GameText.WriteTextAux(Tr("BJORNFULD:\nHELP..Someone...Please Help me !"), 3.0, 252,247,167,[],27)

def Dwarf2ChatterA():
        GameText.WriteTextAux(Tr("BJORNFULD:\nBy my beard..Thank you Naglfar\nThat orc would have killed me for sure had you not arrived"), 10.0, 252,247,167,[],27)

def Dwarf2ChatterB():
        GameText.WriteTextAux(Tr("BJORNFULD:\nThe foul Orc saw I had the emergency key and took it from me"), 10.0, 252,247,167,[],27)

def Dwarf2ChatterC():
        GameText.WriteTextAux(Tr("BJORNFULD:\nIll stay here where its safe..You should too\nPerhaps we can dig our way out of this mess"), 10.0, 252,247,167,[],27)

def Dwarf2Cut():
	char=Bladex.GetEntity("Player1")
	char.Wuea=Reference.WUEA_ENDED
	char.InterruptCombat()
	char.SetActiveEnemy("")
	char.LaunchAnmType('Rlx')
	AbreCam.ResetNode()
	AbreCam.AddNode ((-7849.45790281,2928.02338412,50436.1802343),(-8464.5143927,3151.0613961,54666.5505974), 0)
	AbreCam.AddNode ((-7849.45790281,2928.02338412,50436.1802343),(-8464.5143927,3151.0613961,54666.5505974), 30)
	AbreCam.LastTime=2
	AbreCam.AbreCam()
	bjorn=Bladex.GetEntity("Bjornfuld")
	bjorn.Position=-8464.5143927,3151.0613961,54666.5505974
	bjorn.Angle=3.19076171866
	char.Position=-9232.15567574, 3116.6970741, 53054.484588
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5, Actions.TurnToFaceEntity, ("Player1","Bjornfuld"))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, Dwarf2ChatterA,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 12.0, Dwarf2ChatterB,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 23.0, Dwarf2ChatterC,())

##################################
# Olaf the almost deceased dwarf #
##################################

def IniciaCarcelero(sector_index, entity_name):
	sectoriniccarc.OnEnter=""
	carcelero.Data.Murmura("Olaf")

def Herido(entity_name):
	carcelero.Data.Molestia("Olaf")

def Matado(entity_name):
	carcelero.Data.Muere("Olaf")

def ApagaRonquidos(sector_index, entity_name):
	sectorapagaronq.OnEnter=""
	if carcelero.Data.Muerto==0:
		carcelero.Data.ronquidos.Stop()

######################################
#### Arrowguy from DQactorsrip.py ####
######################################
def Muere2(person):
	Bladex.GetEntity(person).Life=0

def MuereCaballeroLlave():
	mllave.Wuea=Reference.WUEA_ENDED
	mllave.SetTmpAnmFlags(1,1,1,0,5,1,0)
	mllave.LaunchAnmType("dth_wall_for_manuel")
	mllave.AnmEndedFunc=Muere2

##### Another dead sitting guy #####
def Muere3(person):
	Bladex.GetEntity(person).Life=0

def MuereCaballeroLlave2():
	mllave2.Wuea=Reference.WUEA_ENDED
	mllave2.SetTmpAnmFlags(1,1,1,0,5,1,0)
	mllave2.LaunchAnmType("dth_wall_for_manuel")
	mllave2.AnmEndedFunc=Muere3

##### Sitting Orc #####
def Muere4(person):
	Bladex.GetEntity(person).Life=0

def MuereCaballeroLlave3():
	mllave3.Wuea=Reference.WUEA_ENDED
	mllave3.SetTmpAnmFlags(1,1,1,0,5,1,0)
	mllave3.LaunchAnmType("dth_wall_for_manuel")
	mllave3.AnmEndedFunc=Muere4


####################################### THE CUT SCENES #####################################################################

####################
### Olafs Movie ###
####################

def JournalOlaf():
	Talk.AddToJournal ('OlafsLastWords')

def dwfsez1():
        GameText.WriteTextAux(Tr("OLAF:\nUuuhh...Come...Closer Naglfar"), 10.0, 255,200,0,[],27)	

def dwfsez2():
        GameText.WriteTextAux(Tr("OLAF:\nOld friend...My wounds are mortal\nThe grey halls of the ancestors await me"), 10.0, 255,200,0,[],27)	

def dwfsez3():
        GameText.WriteTextAux(Tr("OLAF:\nThe Runic hammer\nIt must not fall in enemy hands\nYou...Must..\nURRGH !"), 10.0, 255,200,0,[],27)

def dwfsez4():
        GameText.WriteTextAux(Tr("NAGLFAR:\nRest in peace Olaf\nOur people shall be avenged !"), 8.0, 255,255,255,[],27)

def KillOffTheOldBugger():
	oldbugger=Bladex.GetEntity("Olaf")
	oldbugger.Life=0


def DYINGFREEZE():
	sp1 = Bladex.GetEntity("Spider1")
	sp2 = Bladex.GetEntity("Spider2")
	sp3 = Bladex.GetEntity("Spider3")
	orc = Bladex.GetEntity("Ork_229")
	sp1.Freeze()
	sp2.Freeze()
	sp3.Freeze()
	orc.Freeze()
	print("FROZEN")

def DYINGUNFREEZE():
	sp1 = Bladex.GetEntity("Spider1")
	sp2 = Bladex.GetEntity("Spider2")
	sp3 = Bladex.GetEntity("Spider3")
	orc = Bladex.GetEntity("Ork_229")
	sp1.UnFreeze()
	sp2.UnFreeze()
	sp3.UnFreeze()
	orc.UnFreeze()
	print("UNFROZEN")

def Dropit():
	Actions.FreeBothHands("Player1")

def Go2Olaf():
	char = Bladex.GetEntity("Player1")
	char.LaunchAnmType("Dwf_escena_agonia")

def DYING():
	AbreCam.ResetNode()
	# Add Nodes Camera-Coords, Camera-Target-Coords, Time
	AbreCam.AddNode ((15416.1812813, -887.789383405, 14878.8468024),(15921.9564913, -148.726326816, 16687.6580802), 0)
	AbreCam.AddNode ((12609.8537449, -890.654678604, 16221.9083604),(15921.9564913, -148.726326816, 16687.6580802), 5)
	AbreCam.AddNode ((18440.8781836, -1588.51546829, 16395.5386123),(15921.9564913, -148.726326816, 16687.6580802), 10)
	AbreCam.AddNode ((12923.5844593, -1994.27072111, 11950.8220532),(15921.9564913, -148.726326816, 16687.6580802), 28)
	AbreCam.LastTime=0
	AbreCam.AbreCam()
	char = Bladex.GetEntity("Player1")
	char.Position=16026.1514225, -891.412978958, 10516.0853337
	char.Angle=0
#	char.LaunchAnmType("Dwf_escena_agonia")
#	Actions.FreeBothHands("Player1")
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, PeekaBooMelter,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, DYINGFREEZE,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, Dropit,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, Go2Olaf,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, dwfsez1,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 13.0, dwfsez2,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 24.0, dwfsez3,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 30.0, KillOffTheOldBugger,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 35.0, dwfsez4,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 35.1, char.LaunchAnmType, ("Kgt_pulsador",))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 43.5, DYINGUNFREEZE,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 43.5, JournalOlaf,())

darfuncs.EnterSecEvent(15855.3725535, -883.299650765, 13219.2446945, DYING)


########## THE BOOK #
def Bookpage1():
        GameText.WriteTextAux(Tr("NAGLFAR:\nThe Runic hammer was brought here by Fraeir\nFrom his kingdom in the halls of many pillars"), 20.0, 255,255,255,[],27)	

def Bookpage2():
        GameText.WriteTextAux(Tr("NAGLFAR:\nAfter the war of the sword\nFraeir used the hammer to carve into the sacred tablets\nThe runes of power and the history of the gods"), 20.0, 255,255,255,[],27)	

def Bookpage3():
        GameText.WriteTextAux(Tr("NAGLFAR:\nAfter the carving Fraeir saw it had an unnatural glow\nFrom being in so close contact with the tablets\nThe hammer was proclaimed as an holy artifact\nAnd brought here where it was once created for safe keeping"), 20.0, 255,255,255,[],27)

def BOOKFREEZE():
	sp1 = Bladex.GetEntity("Spider1")
	sp2 = Bladex.GetEntity("Spider2")
	sp3 = Bladex.GetEntity("Spider3")
	sab = Bladex.GetEntity("SablazoOrc")
	cef1 = Bladex.GetEntity("ChefOrc")
	cef2 = Bladex.GetEntity("Chef2")
	orc1 = Bladex.GetEntity("Ork_1500")
	orc2 = Bladex.GetEntity("Ork_1503")
	orc3 = Bladex.GetEntity("Great_Ork_1506")
	sp1.Freeze()
	sp2.Freeze()
	sp3.Freeze()
	sab.Freeze()
	cef1.Freeze()
	cef2.Freeze()
	orc1.Freeze()
	orc2.Freeze()
	orc3.Freeze()
	print("FROZEN")

def BOOKUNFREEZE():
	sp1 = Bladex.GetEntity("Spider1")
	sp2 = Bladex.GetEntity("Spider2")
	sp3 = Bladex.GetEntity("Spider3")
	sab = Bladex.GetEntity("SablazoOrc")
	cef1 = Bladex.GetEntity("ChefOrc")
	cef2 = Bladex.GetEntity("Chef2")
	orc1 = Bladex.GetEntity("Ork_1500")
	orc2 = Bladex.GetEntity("Ork_1503")
	orc3 = Bladex.GetEntity("Great_Ork_1506")
	sp1.UnFreeze()
	sp2.UnFreeze()
	sp3.UnFreeze()
	cef1.UnFreeze()
	cef2.UnFreeze()
	orc1.UnFreeze()
	orc2.UnFreeze()
	orc3.UnFreeze()
	print("UNFROZEN")

def ReadBook(readit,usefrom):
	AbreCam.ResetNode()
	# Add Nodes Camera-Coords, Camera-Target-Coords, Time
	AbreCam.AddNode ((61644.7029278, -6907.63594242, 17296.5253641),(64147.7346726,-6930.0,19297.76406), 0)
	AbreCam.AddNode ((68100.9222648, -6100.86595341, 13073.2422365),(64147.7346726,-6930.0,19297.76406), 20)
	AbreCam.AddNode ((63616.0704061, -7086.75581718, 12588.2734446),(64147.7346726,-6930.0,19297.76406), 20)
	AbreCam.AddNode ((63794.8622826, -9287.60512138, 18793.3792349),(64147.7346726,-6930.0,19297.76406), 20)
	AbreCam.LastTime=10
	AbreCam.AbreCam()
	char = Bladex.GetEntity("Player1")
	char.Position=(64216.3678267, -6382.36623896, 18199.7864467)
	char.Angle=0
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, BOOKFREEZE,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.KillMusic,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("BOOKMusic"),))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.2, Actions.TurnToFaceEntity, ("Player1","Hintbook"))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5, Actions.FreeBothHands, ("Player1",))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, Bookpage1,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 25.0, char.LaunchAnmType, ("Dwf_fire3",))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 26.0, Bookpage2,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 47.0, char.LaunchAnmType, ("Dwf_fire3",))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 48.0, Bookpage3,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 70.0, PeekaBooBlackOrcs,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 70.1, BOOKUNFREEZE,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 70.1, Bladex.KillMusic,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 71.1, JournalChron,())

def JournalChron():
	Talk.AddToJournal ('Liberary')

########## STATUE #
KEYevent=0

def TooLateToShowKey():
	global KEYevent
	KEYevent=KEYevent+1
	print("key will not be shown")

def ShowMe():
	global KEYevent
	if KEYevent==0:
		seekey1()
	elif KEYevent==1:
		pass

def SEEKEYFREEZE():
	sp1 = Bladex.GetEntity("Spider1")
	sp2 = Bladex.GetEntity("Spider2")
	sp3 = Bladex.GetEntity("Spider3")
	cef1 = Bladex.GetEntity("ChefOrc")
	cef2 = Bladex.GetEntity("Chef2")
	sp1.Freeze()
	sp2.Freeze()
	sp3.Freeze()
	cef1.Freeze()
	cef2.Freeze()
	print("FROZEN")

def SEEKEYUNFREEZE():
	sp1 = Bladex.GetEntity("Spider1")
	sp2 = Bladex.GetEntity("Spider2")
	sp3 = Bladex.GetEntity("Spider3")
	cef1 = Bladex.GetEntity("ChefOrc")
	cef2 = Bladex.GetEntity("Chef2")
	sp1.UnFreeze()
	sp2.UnFreeze()
	sp3.UnFreeze()
	cef1.UnFreeze()
	cef2.UnFreeze()
	print("UNFROZEN")

def seekey1():
	AbreCam.ResetNode()
	AbreCam.AddNode ((3369.56198481, -10085.6772358, -11282.3656151),(3468.22638474,-8989.79766433,-13157.1990354), 3)
	AbreCam.LastTime=1
	AbreCam.AbreCam()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, SEEKEYFREEZE,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, CKEY,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 4.2, SEEKEYUNFREEZE,())
	print("We show key")

darfuncs.EnterSecEvent(3396.79214495, -5884.82180837, -12684.5589145, ShowMe)

def TrollAttack(sector,entity):
	global KEYevent
	troll = Bladex.GetEntity("BigTroll")
	if KEYevent==1:
		if entity==("Player1"):
			if (troll.Life>0):
				PeekaBooBigTroll()
	elif KEYevent==0:
		pass
		print("NO TROLL YET")

#darfuncs.EnterSecEvent(3578.40546624, -6386.51116746, -5159.4254267, TrollAttack)

sect1=Bladex.GetSector(3578.40546624, -6386.51116746, -5159.4254267)
sect1.OnEnter=TrollAttack

def TrollDeath(entity): 
  Bladex.KillMusic() 
  me = Bladex.GetEntity(entity) 
  if me.Data.OldImDeadFunc: 
      me.Data.OldImDeadFunc(entity)

### PUSHING
def SonidoEsfuerzo(Esfuerzo):
	char = Bladex.GetEntity("Player1")

	if Esfuerzo == 1:
		soundesfuerzo1.Position = 9968.00620714, -11090.3441024, -6809.41826528
		soundesfuerzo1.PlaySound(0)
	elif Esfuerzo == 2:
		soundesfuerzo2.Position = 9968.00620714, -11090.3441024, -6809.41826528
		soundesfuerzo2.PlaySound(0)
	elif Esfuerzo == 3:
		soundesfuerzo3.Position = 9968.00620714, -11090.3441024, -6809.41826528
		soundesfuerzo3.PlaySound(0)

def NoCanDo():
        GameText.WriteTextAux(Tr("NAGLFAR:\nIts too heavy for me to push over"), 6.0, 255,255,255,[],27)

def TryPush(pushit,usefrom):
	AbreCam.ResetNode()
	AbreCam.AddNode ((9968.00620714, -11090.3441024, -6809.41826528),(3433.87465472, -5888.32696355, -12658.9077768), 0)
	AbreCam.AddNode ((9968.00620714, -11090.3441024, -6809.41826528),(3433.87465472, -5888.32696355, -12658.9077768), 10)
	AbreCam.LastTime=0
	AbreCam.AbreCam()
	char = Bladex.GetEntity("Player1")
	char.Position=(3422.02333069, -5889.78539204, -13662.4596491)
	char.Angle=3
	Actions.FreeBothHands("Player1")
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, SEEKEYFREEZE,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.4, Actions.TurnToFaceEntity, ("Player1","GobletKeyFake"))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.8, char.LaunchAnmType, ("Bar_totem_fall",))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 2.6, SonidoEsfuerzo,(1,),("SonidoEsfuerzo1"))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 4.3, SonidoEsfuerzo,(2,),("SonidoEsfuerzo2"))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 6.3, SonidoEsfuerzo,(3,),("SonidoEsfuerzo3"))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 9.0, NoCanDo,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 10.1, SEEKEYUNFREEZE,())

##### THE JAILOR
def TimeToWork():
	GameText.WriteTextAux(Tr("JAILOR:\nShurt wun wurk now !\nYuz wurk in mines, git iron fur uz"), 8.0, 0,130,0,[],27)

def U2slow():
	jailor = Bladex.GetEntity("Jailor")
	darfuncs.HideBadGuy("Jailor")
	darfuncs.UnhideBadGuy("Jailor")
	if (jailor.Life>0):
		GameText.WriteTextAux(Tr("JAILOR:\nYuz no wurk ??\nThen yuz die !"), 8.0, 0,130,0,[],27)
	

def JailRelease():
	jailor = Bladex.GetEntity("Jailor")
	jailor.GoToJogging=0
	Bladex.AddScheduledFunc(Bladex.GetTime() + 40.0, jailor.GoTo, (892.707372836, -926.336081721, 6111.00808307))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 73.0, UNLOCK,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 75.0, AbreMyCell,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 75.1, jailor.GoTo, (-850.930028683, -884.931732348, 6684.94595652))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 76.5, Actions.TurnToFaceEntity, ("Jailor","Player1"))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 76.6, TimeToWork,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 76.6, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("JAILMusic"),))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 100.0, U2slow,())
	print("I will come to unlock soon")

darfuncs.EnterSecEvent(0, -1118, 0, JailRelease)

# TORCH FIX

def Apagala(sectorindex,entityname): 
	a = Bladex.GetEntity(entityname) 
	if a.Kind == "Antorcha":
		Torchs.ExtingueAntorcha(entityname)


sectortorc=Bladex.GetSector(29247.0870983,-984.911536549,-20414.761916)
sectortorc.OnEnter=Apagala

######################
# KING WALL ORNAMENT #
######################
def KingText():
        GameText.WriteTextAux(Tr("NAGLFAR:\nThe king alone holds the key that leads to the heart of his beloved\nAre you perchanse the king ?\nOr are you merly a miserable thief..Skulking in the shadows ?"), 15.0, 255,255,255,[],27)

def ReadKing(kingstone,usefrom):
	AbreCam.ResetNode()
	AbreCam.AddNode ((32416.1353135,-9029.99518452,36478.2939357),(30986.2864972, -6371.68139903, 35532.1484682), 0)
	AbreCam.AddNode ((29016.1353135,-9029.99518452,36478.2939357),(30986.2864972, -6371.68139903, 35532.1484682), 16)
	AbreCam.LastTime=0
	AbreCam.AbreCam()
	char = Bladex.GetEntity("Player1")
	char.Position=(30986.2864972, -6371.68139903, 35532.1484682)
	char.Angle=6
	Actions.FreeBothHands("Player1")
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, KINGFREEZE,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, KingText,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.KillMusic,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Actions.QuickTurnToFaceEntity, ("Player1","KingPointer"))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("KINGMusic"),))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, char.LaunchAnmType, ("Dgk_rlx_1",))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 17.0, KINGUNFREEZE,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 17.0, PeekaBooBlackOrcs2,())

def KINGFREEZE():
	sp1 = Bladex.GetEntity("Spider1")
	sp2 = Bladex.GetEntity("Spider2")
	sp3 = Bladex.GetEntity("Spider3")
	sab = Bladex.GetEntity("SablazoOrc")
	cef1 = Bladex.GetEntity("ChefOrc")
	cef2 = Bladex.GetEntity("Chef2")
	orc1 = Bladex.GetEntity("Ork_1500")
	orc2 = Bladex.GetEntity("Ork_1503")
	orc3 = Bladex.GetEntity("Great_Ork_1506")
	bla1 = Bladex.GetEntity("BlackOrc1")
	bla2 = Bladex.GetEntity("BlackOrc2")
	sp1.Freeze()
	sp2.Freeze()
	sp3.Freeze()
	sab.Freeze()
	cef1.Freeze()
	cef2.Freeze()
	orc1.Freeze()
	orc2.Freeze()
	orc3.Freeze()
	bla1.Freeze()
	bla2.Freeze()
	print("FROZEN")

def KINGUNFREEZE():
	sp1 = Bladex.GetEntity("Spider1")
	sp2 = Bladex.GetEntity("Spider2")
	sp3 = Bladex.GetEntity("Spider3")
	sab = Bladex.GetEntity("SablazoOrc")
	cef1 = Bladex.GetEntity("ChefOrc")
	cef2 = Bladex.GetEntity("Chef2")
	orc1 = Bladex.GetEntity("Ork_1500")
	orc2 = Bladex.GetEntity("Ork_1503")
	orc3 = Bladex.GetEntity("Great_Ork_1506")
	bla1 = Bladex.GetEntity("BlackOrc1")
	bla2 = Bladex.GetEntity("BlackOrc2")
	sp1.UnFreeze()
	sp2.UnFreeze()
	sp3.UnFreeze()
	cef1.UnFreeze()
	cef2.UnFreeze()
	orc1.UnFreeze()
	orc2.UnFreeze()
	orc3.UnFreeze()
	bla1.UnFreeze()
	bla2.UnFreeze()
	print("UNFROZEN")

##############################
# HAMMER...BIG TROLL APPEARS #
##############################

def HammerText1():
        GameText.WriteTextAux(Tr("NAGLFAR:\nWhat in Velaskyalfs name..??"), 5.0, 255,255,255,[],27)

def HammerText2():
        GameText.WriteTextAux(Tr("NAGLFAR:\nStrange...There hasnt been earthquakes here for decades"), 8.0, 255,255,255,[],27)

def HammerText3():
        GameText.WriteTextAux(Tr("NAGLFAR:\nI should make sure the hammer is safe"), 8.0, 255,255,255,[],27)


#Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, darfuncs.StartMatrixFX(ESource = "Player1"),())
#Bladex.AddScheduledFunc(Bladex.GetTime() + 19.0, darfuncs.StopMatrixFX,())

def HammerScene():
	char = Bladex.GetEntity("Player1")
	darfuncs.Temblores(3.0,20)
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, char.LaunchAnmType, ("Dwf_hurt_jog",))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, TROLL,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 3.5, HammerText1,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 5.0, PeekaBooTrollStuff,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 10.0, TooLateToShowKey,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 10.0, HammerText2,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 19.0, HammerText3,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 20.0, GROWL,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 22.0, JournalHammer,())

def JournalHammer():
	Talk.AddToJournal ('HammerSafe')

darfuncs.EnterSecEvent(31111.4742898, -6389.1334912, 66986.9832412, HammerScene)

############################
# TOMB OF THE DRAGONSLAYER #
############################

def TOMBFREEZE():
	sp1 = Bladex.GetEntity("Spider1")
	sp2 = Bladex.GetEntity("Spider2")
	sp3 = Bladex.GetEntity("Spider3")
	sab = Bladex.GetEntity("SablazoOrc")
	cef1 = Bladex.GetEntity("ChefOrc")
	cef2 = Bladex.GetEntity("Chef2")
	orc1 = Bladex.GetEntity("Ork_1500")
	orc2 = Bladex.GetEntity("Ork_1503")
	orc3 = Bladex.GetEntity("Great_Ork_1506")
	bla1 = Bladex.GetEntity("BlackOrc1")
	bla2 = Bladex.GetEntity("BlackOrc2")
	bar1 = Bladex.GetEntity("BARORC1")
	bar2 = Bladex.GetEntity("BARORC2")
	sp1.Freeze()
	sp2.Freeze()
	sp3.Freeze()
	sab.Freeze()
	cef1.Freeze()
	cef2.Freeze()
	orc1.Freeze()
	orc2.Freeze()
	orc3.Freeze()
	bla1.Freeze()
	bla2.Freeze()
	bar1.Freeze()
	bar2.Freeze()
	print("FROZEN")

def TOMBUNFREEZE():
	sp1 = Bladex.GetEntity("Spider1")
	sp2 = Bladex.GetEntity("Spider2")
	sp3 = Bladex.GetEntity("Spider3")
	sab = Bladex.GetEntity("SablazoOrc")
	cef1 = Bladex.GetEntity("ChefOrc")
	cef2 = Bladex.GetEntity("Chef2")
	orc1 = Bladex.GetEntity("Ork_1500")
	orc2 = Bladex.GetEntity("Ork_1503")
	orc3 = Bladex.GetEntity("Great_Ork_1506")
	bla1 = Bladex.GetEntity("BlackOrc1")
	bla2 = Bladex.GetEntity("BlackOrc2")
	bar1 = Bladex.GetEntity("BARORC1")
	bar2 = Bladex.GetEntity("BARORC2")
	sp1.UnFreeze()
	sp2.UnFreeze()
	sp3.UnFreeze()
	sab.UnFreeze()
	cef1.UnFreeze()
	cef2.UnFreeze()
	orc1.UnFreeze()
	orc2.UnFreeze()
	orc3.UnFreeze()
	bla1.UnFreeze()
	bla2.UnFreeze()
	bar1.UnFreeze()
	bar2.UnFreeze()
	print("UNFROZEN")

def TombText():
        GameText.WriteTextAux(Tr("NAGLFAR:\nHere lies Frimbold Strongshield\nSlayer of the Dragon Blatifagus the pale\nHonour in his memory"), 15.0, 255,255,255,[],27)

def ReadTomb(gravestone,usefrom):
	AbreCam.ResetNode()
	AbreCam.AddNode ((55497.8084856,-24718.754133,66466.1201156),(54097.8084856,-21918.754133,64466.1201156), 0)
	AbreCam.AddNode ((55497.8084856,-24718.754133,66466.1201156),(54097.8084856,-21918.754133,64466.1201156), 10)
	AbreCam.LastTime=5
	AbreCam.AbreCam()
	char = Bladex.GetEntity("Player1")
	Actions.FreeBothHands("Player1")
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.0, TOMBFREEZE,())
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.0, Bladex.KillMusic,())
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.0, Actions.QuickTurnToFaceEntity, ("Player1","GravePointer"))
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("TOMBMusic"),))
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 1.0, char.LaunchAnmType, ("Dgk_rlx_1",))
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 1.0, TombText,())
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 15.1, TOMBUNFREEZE,())
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 15.1, PeekaBooToughOrcs,())

###################
# GREAT HALL DOOR #
###################
def DOORFREEZE():
	sp1 = Bladex.GetEntity("Spider1")
	sp2 = Bladex.GetEntity("Spider2")
	sp3 = Bladex.GetEntity("Spider3")
	sab = Bladex.GetEntity("SablazoOrc")
	cef1 = Bladex.GetEntity("ChefOrc")
	cef2 = Bladex.GetEntity("Chef2")
	orc1 = Bladex.GetEntity("Ork_1500")
	orc2 = Bladex.GetEntity("Ork_1503")
	orc3 = Bladex.GetEntity("Great_Ork_1506")
	bla1 = Bladex.GetEntity("BlackOrc1")
	bla2 = Bladex.GetEntity("BlackOrc2")
	bar1 = Bladex.GetEntity("BARORC1")
	bar2 = Bladex.GetEntity("BARORC2")
	sp1.Freeze()
	sp2.Freeze()
	sp3.Freeze()
	sab.Freeze()
	cef1.Freeze()
	cef2.Freeze()
	orc1.Freeze()
	orc2.Freeze()
	orc3.Freeze()
	bla1.Freeze()
	bla2.Freeze()
	bar1.Freeze()
	bar2.Freeze()
	print("FROZEN")

def DOORUNFREEZE():
	sp1 = Bladex.GetEntity("Spider1")
	sp2 = Bladex.GetEntity("Spider2")
	sp3 = Bladex.GetEntity("Spider3")
	sab = Bladex.GetEntity("SablazoOrc")
	cef1 = Bladex.GetEntity("ChefOrc")
	cef2 = Bladex.GetEntity("Chef2")
	orc1 = Bladex.GetEntity("Ork_1500")
	orc2 = Bladex.GetEntity("Ork_1503")
	orc3 = Bladex.GetEntity("Great_Ork_1506")
	bla1 = Bladex.GetEntity("BlackOrc1")
	bla2 = Bladex.GetEntity("BlackOrc2")
	bar1 = Bladex.GetEntity("BARORC1")
	bar2 = Bladex.GetEntity("BARORC2")
	sp1.UnFreeze()
	sp2.UnFreeze()
	sp3.UnFreeze()
	sab.UnFreeze()
	cef1.UnFreeze()
	cef2.UnFreeze()
	orc1.UnFreeze()
	orc2.UnFreeze()
	orc3.UnFreeze()
	bla1.UnFreeze()
	bla2.UnFreeze()
	bar1.UnFreeze()
	bar2.UnFreeze()
	print("UNFROZEN")

def WontWork(doorp,usefrom):
	Talk.AddToJournal ('GreatHall')
	GameText.WriteTextAux(Tr("NAGLFAR:\nIt has been destroyed beyond repair..."), 6.0, 255,255,255,[],27)

def GreatDoorSay1():
        GameText.WriteTextAux(Tr("NAGLFAR:\nBy the gods of hell !\nThe great door has been sealed"), 10.0, 255,255,255,[],27)

def GreatDoorSay2():
        GameText.WriteTextAux(Tr("NAGLFAR:\nLooks like I must take another way out"), 6.0, 255,255,255,[],27)

def GreatDoorBroken():
	AbreCam.ResetNode()
	AbreCam.AddNode ((29803.8268221,-29188.0614707,90146.0287992),(30087.5357345, -20886.5071485, 97185.4858848), 0)
	AbreCam.AddNode ((29803.8268221,-29188.0614707,90146.0287992),(28618.3708635, -20926.5504814, 95936.3831111), 16)
	AbreCam.LastTime=0
	AbreCam.AbreCam()
	char = Bladex.GetEntity("Player1")
	char.Position=(30471.3908325, -20887.326272, 94159.3846533)
	char.Angle=1
	char.GoToJogging=0
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, DOORFREEZE,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.KillMusic,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("DOORMusic"),))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, char.LaunchAnmType, ("Dwf_masacre",))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 5.0, GreatDoorSay1,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 15.5, GreatDoorSay2,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 16.1, DOORUNFREEZE,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 16.2, PeekaBooToughOrcs,())

darfuncs.EnterSecEvent(29824.8901093, -20894.1963171, 102732.610522, GreatDoorBroken)

##########
# SHAMAN #
##########

def SetupBoneys():
	bone1 = Bladex.GetEntity("Skeleton1")
	bone2 = Bladex.GetEntity("Skeleton2")
	bone3 = Bladex.GetEntity("Shaman")
	bone1.Blind=1
	bone1.Deaf=1
	bone1.Data.Asleep=1
	bone2.Blind=1
	bone2.Deaf=1
	bone2.Data.Asleep=1
	bone3.Blind=1
	bone3.Deaf=1
	bone3.Data.Asleep=1

def ShamanMove1():
	sham = Bladex.GetEntity("Shaman")
	sham.LaunchAnmType("Ork_order")

def ShamanMove2():
	sham = Bladex.GetEntity("Shaman")
	sham.GoToJogging=1
	sham.GoTo(-47557.7280969, -6387.26300907, -5817.48051421)

def ShamanMove3():
	sham = Bladex.GetEntity("Shaman")
	Actions.QuickTurnToFaceEntity("Shaman","Player1")

darfuncs.EnterSecEvent(-31695.7300015, -6387.59470949, -14490.2923221, ShamanMove3)


def ShamanCut():
	AbreCam.ResetNode()
	AbreCam.AddNode ((-11669.55768,-7680.18859104,-14909.563043),(-46360.792462,-6484.91153655,-14555.2419844), 0)
	AbreCam.AddNode ((-28669.55768,-7680.18859104,-14709.563043),(-46360.792462,-6484.91153655,-14555.2419844), 6)
	AbreCam.LastTime=2
	AbreCam.AbreCam()
	bone1 = Bladex.GetEntity("Skeleton1")
	bone2 = Bladex.GetEntity("Skeleton2")
	bone3 = Bladex.GetEntity("Shaman")
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, PeekaBooBoneys,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, SetupBoneys,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 4.0, ShamanMove1,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 7.0, ShamanMove2,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 7.5, PeekaBooBoneys,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 9.5, ShamanMove3,())


#########
# INTRO #
#########

##### MASKLIN #########################
def MASanimA():
	mas = Bladex.GetEntity("Masklin")
	mas.GoToJogging=1
	mas.LaunchAnmType("Kgt_seleccion")

def MASlineA():
	GameText.WriteTextAux(Tr("MASKLIN:\nCalm thyself Prospero\nI will not hear thee speak ill of the mistress"), 10.0, 0,130,255,[],27)

def MASanimB():
	mas = Bladex.GetEntity("Masklin")
	mas.GoToJogging=0
	Actions.TurnToFaceEntity("Masklin","Prospero")

def MASlineB():
	mas = Bladex.GetEntity("Masklin")
	mas.GoToJogging=0
	GameText.WriteTextAux(Tr("MASKLIN:\nStill thy rage before I run thee through barbarian"), 10.0, 0,130,255,[],27)

def MASanimC():
	mas = Bladex.GetEntity("Masklin")
	mas.GoToJogging=0
	Actions.QuickTurnToFaceEntity("Masklin","Prospero")
	mas.LaunchAnmType("Vmp_order")#("Kgt_order")

def MASanimD():
	mas = Bladex.GetEntity("Masklin")
	mas.GoToJogging=0
	Actions.QuickTurnToFaceEntity("Masklin","Beshore")
	mas.LaunchAnmType("Kgt_rlx_no")

def MASanimE():
	mas = Bladex.GetEntity("Masklin")
	mas.GoToJogging=0
	Actions.QuickTurnToFaceEntity("Masklin","Beshore")
	mas.LaunchAnmType("Kgt_fire_g")

def MASlineE():
	mas = Bladex.GetEntity("Masklin")
	mas.GoToJogging=0
	GameText.WriteTextAux(Tr("MASKLIN:\nAs you command lady Beshore..But what of the hammer ?"), 5.0, 0,130,255,[],27)

def MASlineF():
	mas = Bladex.GetEntity("Masklin")
	mas.GoToJogging=0
	GameText.WriteTextAux(Tr("MASKLIN:\nUlgesh the albino ??\nIs he really thrustworthy ?"), 5.0, 0,130,255,[],27)

def MASanimF():
	mas = Bladex.GetEntity("Masklin")
	mas.GoToJogging=0
	mas.LaunchAnmType("Kgt_insult")
	GameText.WriteTextAux(Tr("MASKLIN:\nN..No Lady Beshore"), 3.0, 0,130,255,[],27)

def MASanimG():
	mas = Bladex.GetEntity("Masklin")
	mas.GoToJogging=0
	Actions.QuickTurnToFaceEntity("Masklin","DalShield_1829")
	mas.LaunchAnmType("Kgt_escena_agonia")
	GameText.WriteTextAux(Tr("MASKLIN:\nAt once Lady Beshore"), 3.0, 0,130,255,[],27)

def MAShide():
	darfuncs.HideBadGuy("Masklin")

#### PROSPERO ##########################
def PROanimA():
	pro = Bladex.GetEntity("Prospero")
	pro.GoToJogging=0
	pro.LaunchAnmType("Bar_seleccion")

def PROlineA():
	GameText.WriteTextAux(Tr("PROSPERO:\nI hate waiting..When is she going to show up eh Masklin ?"), 10.0, 255,130,0,[],27)


def PROanimB():
	pro = Bladex.GetEntity("Prospero")
	pro.GoToJogging=0
	Actions.TakeObject("Prospero", "PROsword")
	pro.Position=(73873.9392946, -26223.281631, 102454.578556)#(72802.7164714,-26231.0740942,101721.48951)
	pro.Angle=2.57072526748#3.35610918557
	pro.LaunchAnmType("Bar_g2h_earthpow")

def PROlineB():
	GameText.WriteTextAux(Tr("PROSPERO:\nRARRGH...Dont YOU try to tell me what to do\nIll rip off your leg and beat you senseless with the bleeding end"), 10.0, 255,130,0,[],27)


def PROanimC():
	pro = Bladex.GetEntity("Prospero")
	pro.GoToJogging=0
	Actions.QuickTurnToFaceEntity("Prospero","Masklin")

def PROlineC():
	pro = Bladex.GetEntity("Prospero")
	pro.GoToJogging=0
	pro.LaunchAnmType("Ork_fury")
	GameText.WriteTextAux(Tr("PROSPERO:\nClan Thuminuraye obeys your will sorceress Beshore"), 10.0, 255,130,0,[],27)

def PROanimD():
	pro = Bladex.GetEntity("Prospero")
	pro.GoToJogging=0
	Actions.TurnToFaceEntity("Prospero","Beshore")
	pro.LaunchAnmType("Bar_rlx_no")

def PROanimG():
	pro = Bladex.GetEntity("Prospero")
	pro.GoToJogging=0
	Actions.QuickTurnToFaceEntity("Prospero","MASdagger")
	pro.LaunchAnmType("Bar_escena_agonia")

def PROhide():
	darfuncs.HideBadGuy("Prospero")
######################################


def AMZanimA():
	amz = Bladex.GetEntity("Beshore")
	amz.GoToJogging=0
	amz.GoTo(67575.5517503, -25895.4136288, 99852.1775157)#(68565.0643324,-26105.5147073,100808.242978)
	Actions.TurnToFaceEntity("Beshore","Prospero")

def AMZlineA():
	GameText.WriteTextAux(Tr("SILENCE !!"), 5.0, 255,0,0,[],27)

def AMZanimB():
	amz = Bladex.GetEntity("Beshore")
	amz.GoToJogging=0
	amz.LaunchAnmType("Kgt_rlx_t")
	GameText.WriteTextAux(Tr("BESHORE:\nProspero..Gather the barbarian clan and move out\nYoure heading for the temple of Naarug"), 10.0, 255,0,0,[],27)

def AMZlineB():
	amz = Bladex.GetEntity("Beshore")
	amz.GoToJogging=0
	Actions.TurnToFaceEntity("Beshore","Masklin")
	GameText.WriteTextAux(Tr("BESHORE:\nMasklin..Prepare the knights of the scorpion for battle\nBesiege the fortress by moontear lake and await further orders there"), 15.0, 255,0,0,[],27)

def AMZanimC():
	amz = Bladex.GetEntity("Beshore")
	amz.GoToJogging=0
	amz.LaunchAnmType("Kgt_rlx_t")

def AMZlineC():
	amz = Bladex.GetEntity("Beshore")
	amz.GoToJogging=0
	GameText.WriteTextAux(Tr("BESHORE:\nWorry not Sir Masklin..I have sent the troll to take care of that\nThe dwarves have grown fat and weak during the peace\nThere will be little resistance"), 15.0, 255,0,0,[],27)

def AMZlineD():
	amz = Bladex.GetEntity("Beshore")
	amz.GoToJogging=0
	amz.LaunchAnmType("Kgt_order")
	GameText.WriteTextAux(Tr("BESHORE:\nYou dare question me ?"), 3.0, 255,0,0,[],27)

def AMZlineE():
	amz = Bladex.GetEntity("Beshore")
	amz.GoToJogging=0
	amz.LaunchAnmType("Kgt_pulsador")
	GameText.WriteTextAux(Tr("BESHORE:\nThen go..."), 3.0, 255,0,0,[],27)
	Bladex.SetListenerPosition(1)

def AMZhide():
	darfuncs.HideBadGuy("Beshore")

#######################################
def CAMFADE1():
	#AuxFuncs.FadeTo(0.1, 1.0)
	AuxFuncs.FadeFrom(1.0, 1.0)

def CAMFADE2():
	AuxFuncs.FadeTo(0.3, 1.5)

def Intro2TextA():
	GameText.WriteTextAux(Tr("CrazyDwarf Mods\nIn Co-operation with\nProspero Productions & Team MoriaMod\nPresent"), 7, 200,250,170,[],300)

def Intro2TextB():
	GameText.WriteTextAux(Tr("DWARFQUEST\nPart one: The Runic Hammer"), 7, 200,250,170,[],300)

def StartAnim():
	char = Bladex.GetEntity("Player1")
	char.Position=(1845.16430391,-226.983259081,-2693.82686138)
	char.Angle=2.58126848928
	char.LaunchAnmType("Kgt_inicio_ragnar")
	char.SetOnFloor()

def Intro2TextC():
        GameText.WriteTextAux(Tr("NAGLFAR:\nUuuh..My head\nI must have been knocked out during the attack"), 10.0, 255,255,255,[],27)

def Intro2TextD():
        GameText.WriteTextAux(Tr("NAGLFAR:\nI am in the cells ?\nIts so quiet...The battle must have been lost\nI must get out of here somehow"), 15.0, 255,255,255,[],27)

def JournalIntro():
	Talk.AddToJournal ('Attacked')

def intro1():
	AbreCam.ResetNode()
	AbreCam.AddNode ((68764.5281221,-28388.4849767,104163.258604),(73899.7874798,-26244.9822856,100653.326207), 0)
	AbreCam.AddNode ((73231.3132533,-28383.3837863,105420.951178),(73899.7874798,-26244.9822856,100653.326207), 30)
	AbreCam.AddNode ((73727.7825325,-27099.1698484,94453.5928169),(73899.7874798,-26244.9822856,100653.326207), 0.2)
	AbreCam.AddNode ((73231.3132533,-28383.3837863,105420.951178),(72290.7221873,-26112.1649455,98218.3423649), 22.8)
	AbreCam.AddNode ((64606.0240908,-28387.2683567,95944.0779173),(67575.5517503, -25895.4136288, 99852.1775157), 5)
	AbreCam.AddNode ((64606.0240908,-28387.2683567,95944.0779173),(73899.7874798,-26244.9822856,100653.326207), 82)
	AbreCam.AddNode ((21.9489079685,-2188.70551861,15163.2399881),(-137.116573917,-83.2630798942,16399.8497638), 0.2)
	AbreCam.AddNode ((21.9489079685,-2188.70551861,7563.23998811),(318.32635696,-1390.49218552,5000.0), 15)
	AbreCam.AddNode ((-1378.05109203,-2188.70551861,3763.23998811),(1845.16430391,-226.983259081,-2693.82686138), 15)
	AbreCam.LastTime=0
	AbreCam.AbreCam()
	Bladex.SetListenerPosition(2)
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, CAMFADE1,())#screenfadein to intro1
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("INTROMOOD"),))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, PROanimA,())#sit and navel gaze
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, MASanimA,())#pray or something
	Bladex.AddScheduledFunc(Bladex.GetTime() + 9.5, CHING,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 10.0, PROlineA,())#hate waiting
	Bladex.AddScheduledFunc(Bladex.GetTime() + 20.1, MASlineA,())#stfu
	Bladex.AddScheduledFunc(Bladex.GetTime() + 30.2, PROanimB,())#smash table
	Bladex.AddScheduledFunc(Bladex.GetTime() + 32.0, PROanimC,())#look at masklin
	Bladex.AddScheduledFunc(Bladex.GetTime() + 32.2, MASanimB,())#look at pro
	Bladex.AddScheduledFunc(Bladex.GetTime() + 32.6, PROlineB,())#rip your leg off
	Bladex.AddScheduledFunc(Bladex.GetTime() + 42.7, MASlineB,())#oh yeah
	Bladex.AddScheduledFunc(Bladex.GetTime() + 42.8, MASanimC,())#point sword
	Bladex.AddScheduledFunc(Bladex.GetTime() + 42.8, HUH,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 52.8, AMZlineA,())#silence
	Bladex.AddScheduledFunc(Bladex.GetTime() + 52.8, GIRLY,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 53.0, MASanimD,())#look at Beshore
	Bladex.AddScheduledFunc(Bladex.GetTime() + 53.0, PROanimD,())#look at Beshore
	Bladex.AddScheduledFunc(Bladex.GetTime() + 54.0, AMZanimA,())#enter stage
	Bladex.AddScheduledFunc(Bladex.GetTime() + 58.0, AMZanimB,())#Pro go to temple
	Bladex.AddScheduledFunc(Bladex.GetTime() + 68.2, PROlineC,())#okidoki
	Bladex.AddScheduledFunc(Bladex.GetTime() + 68.2, PROGRUNT,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 78.3, AMZlineB,())#Mas gear up
	Bladex.AddScheduledFunc(Bladex.GetTime() + 78.3, AMZanimC,())#relax staff
	Bladex.AddScheduledFunc(Bladex.GetTime() + 96.0, MASanimE,())#bow
	Bladex.AddScheduledFunc(Bladex.GetTime() + 96.1, MASlineE,())#okidoki hammer?
	Bladex.AddScheduledFunc(Bladex.GetTime() + 102.3, AMZlineC,())#troll doin it
	Bladex.AddScheduledFunc(Bladex.GetTime() + 117.4, MASlineF,())#trust him ?
	Bladex.AddScheduledFunc(Bladex.GetTime() + 123.5, AMZlineD,())#point staff yeah so ?
	Bladex.AddScheduledFunc(Bladex.GetTime() + 128.0, MASanimF,())#sorry
	Bladex.AddScheduledFunc(Bladex.GetTime() + 132.0, AMZlineE,())#get the fok out
	Bladex.AddScheduledFunc(Bladex.GetTime() + 132.0, Bladex.KillMusic,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 133.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("INTROMusic"),))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 135.6, MASanimG,())#going
	Bladex.AddScheduledFunc(Bladex.GetTime() + 135.6, PROanimG,())#going
	Bladex.AddScheduledFunc(Bladex.GetTime() + 139.0, CAMFADE2,())#screenfadein to intro2
	Bladex.AddScheduledFunc(Bladex.GetTime() + 142.0, Intro2TextA,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 150.0, Intro2TextB,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 150.0, MAShide,())#hide actor
	Bladex.AddScheduledFunc(Bladex.GetTime() + 150.0, AMZhide,())#hide actor
	Bladex.AddScheduledFunc(Bladex.GetTime() + 150.0, PROhide,())#hide actor
	Bladex.AddScheduledFunc(Bladex.GetTime() + 158.0, StartAnim,())#dwarf in cell
	Bladex.AddScheduledFunc(Bladex.GetTime() + 160.0, Intro2TextC,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 165.5, DWFGRUNT,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 170.5, Intro2TextD,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 172.5, JournalIntro,())
	print("Showing Intro")

darfuncs.EnterSecEvent(74611.3997235,-26023.1476667,98697.5475286, intro1)

#########
# OUTRO #
#########

def FadeLast():
	AuxFuncs.FadeTo(1.0, 55.0)

def FadeOUTRO():
	AuxFuncs.FadeTo(1.0, 3.0)

def TBC():
	GameText.WriteTextAux(Tr("To be continued..."), 3, 200,250,170,[],300)

def CRED1():
	GameText.WriteTextAux(Tr("CREDITS\nProspero\nMasklin\nThanks for your endless support and patiance\nWithout your help, DwarfQuest could not be"), 10, 200,250,170,[],300)
	Bladex.SetListenerPosition(1)

def CRED2():
	GameText.WriteTextAux(Tr("Josh Dhalby\nAnd other mod makers whos code Ive been snooping through"), 10, 200,250,170,[],300)

def CRED3():
	GameText.WriteTextAux(Tr("Slayer\nFor the exellent LED tutorial that got me started\nGorgon for extended beta testing\nAnd all the guys at Walkthrough Online that cheered me on"), 10, 200,250,170,[],300)

def CRED4():
	GameText.WriteTextAux(Tr("Thank you for playing DwarfQuest\nI hope you had fun"), 8, 200,250,170,[],300)

def GO4IT():
	GameText.WriteTextAux(Tr("There is not much more to look at\nBut feel free to go exploring"), 30, 200,250,170,[],300)

def AMZ2line1():
	GameText.WriteTextAux(Tr("BESHORE:\nSo..The dwarf that killed my father is still alive\nHow interesting.."), 10.0, 255,0,0,[],27)

def AMZ2line2():
	GameText.WriteTextAux(Tr("BESHORE:\nFather..I shall feed his heart to the wolves"), 10.0, 255,0,0,[],27)
	Actions.TurnToFaceEntity("Beshore2","DalShield_1829")

def AMZ2anim1():
	amz2 = Bladex.GetEntity("Beshore2")
	amz2.GoToJogging=0
	amz2.GoTo(63419.9191908, -26106.7181692, 88054.3920404)


def AMZ2anim2():
	amz2 = Bladex.GetEntity("Beshore2")
	amz2.GoToJogging=0
	Actions.QuickTurnToFaceEntity("Beshore2","MASdagger")
	amz2.LaunchAnmType("Amz_escena_agonia")

def UnHideBesh():
	amz2 = Bladex.GetEntity("Beshore2")
	darfuncs.UnhideBadGuy("Beshore2")

def HideBesh():
	amz2 = Bladex.GetEntity("Beshore2")
	darfuncs.HideBadGuy("Beshore2")

def DwarfStuff():
	char = Bladex.GetEntity("Player1")
	Actions.FreeBothHands("Player1")

def DwarfGo():
	char = Bladex.GetEntity("Player1")
	char.LaunchAnmType("Dwf_escena_agonia")

def OUTROFREEZE():
	skelly = Bladex.GetEntity("TowerSkel")
	skellyhead = Bladex.GetEntity("Skeleton_1911")
	shaman = Bladex.GetEntity("Shaman2")
	skelly.Freeze()
	skellyhead.Freeze()
	shaman.Freeze()
	print("Freeze last guys")

def OUTROUNFREEZE():
	skelly = Bladex.GetEntity("TowerSkel")
	skellyhead = Bladex.GetEntity("Skeleton_1911")
	shaman = Bladex.GetEntity("Shaman2")
	skelly.UnFreeze()
	skellyhead.UnFreeze()
	shaman.UnFreeze()
	print("UnFreeze last guys")

def OUTRO():
	Bladex.KillMusic() 
	AbreCam.ResetNode()
	AbreCam.AddNode ((34663.1632772,16927.1515355,-79513.8308857),(26517.1119769, 19105.8234647, -88335.3731425), 0)#ViewAtDwarfExit
	AbreCam.AddNode ((34663.1632772,16927.1515355,-79513.8308857),(26517.1119769, 19105.8234647, -88335.3731425), 6)#ViewContinuedFade
	AbreCam.AddNode ((63147.4681433,-27869.6545182,97934.6211904),(63147.4681433,-25209.6545182,97934.6211904), 0.1)#CutToBeshore
	AbreCam.AddNode ((63147.4681433,-27869.6545182,97934.6211904),(63147.4681433,-25209.6545182,97934.6211904), 2)#QuickViewInBlack
	AbreCam.AddNode ((63147.4681433,-27869.6545182,97934.6211904),(64656.2469799,-26975.0902612,98093.1447139), 5)#ZoomOnBeshore
	AbreCam.AddNode ((66747.4681433,-30069.6545182,97934.6211904),(61579.0251838,-28285.933637,98021.8596916), 5)#ViewOfGarg
	AbreCam.AddNode ((66747.4681433,-30069.6545182,97934.6211904),(63394.1917767,-26645.3897805,85868.892103), 5)#GargToDalStuff
	AbreCam.AddNode ((61436.338945,-27188.6810906,89043.2400656),(63394.1917767,-26645.3897805,85868.892103), 10)#ViewOfDalStuff
	AbreCam.AddNode ((61436.338945,-27188.6810906,89043.2400656),(63394.1917767,-26645.3897805,85868.892103), 20)#DalViewContinueFade
	AbreCam.LastTime=45
	AbreCam.AbreCam()
	char = Bladex.GetEntity("Player1")
	char.Position=26963.6220203, 19111.515248, -87736.6163043
	char.Angle=4.62162112192
	Bladex.SetListenerPosition(2)
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.KillMusic,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, OUTROFREEZE,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, DwarfStuff,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, DwarfGo,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("OUTROMusic"),))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 4.5, FadeOUTRO,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 4.5, UnHideBesh,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 10.0, AMZ2line1,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 10.0, GIRLY2,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 20.0, AMZ2anim1,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 25.0, AMZ2line2,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 35.0, AMZ2anim2,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 40.0, FadeLast,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 41.0, TBC,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 45.0, CRED1,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 45.0, HideBesh,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 56.0, CRED2,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 67.0, CRED3,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 78.0, CRED4,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 90.0, GO4IT,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 102.0, OUTROUNFREEZE,())
	print("Showing Outro")

darfuncs.EnterSecEvent(26517.1119769, 19105.8234647, -88335.3731425, OUTRO)